Bug 506193 - (newbie) installation error
installation error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 19:16 EDT by kaj2012
Modified: 2009-08-14 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 12:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation on PPC anaconda can't handle an ext3 fdisk formated partition (44.30 KB, application/octet-stream)
2009-06-26 06:11 EDT, hulyom
no flags Details

  None (edit)
Description kaj2012 2009-06-15 19:16:11 EDT
Description of problem: Live System User installing Fedora 11 to partitioned disk. Installer fails when asked to create new partition for Fedora 11.


Version-Release number of selected component (if applicable): 11.5.0.59-1


How reproducible: Live System User installing Fedora 11 to partitioned disk. Installer fails when asked to create new partition for Fedora 11.


Steps to Reproduce:
1. Open new partition dialogue box.
2. Mount new partition on /.
3. Enter partition size value (61440 MB in this case).
4. Accept values, watch fail.
  
Actual results: Killed installation process.


Expected results: Creation of new partition on which to install Fedora 11.


Additional info: Posting text file (would do you the favor of leaving it as a text file attachment, but am operating as a live user):

anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/disk.py", line 183, in addPartition
    constraint.getPedConstraint())
  File "/usr/lib/anaconda/storage/partitioning.py", line 827, in allocatePartitions
    constraint=constraint)
  File "/usr/lib/anaconda/storage/partitioning.py", line 587, in doPartitioning
    allocatePartitions(disks, partitions)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1017, in refresh
    doPartitioning(self.storage)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1125, in editPartition
    if self.refresh(justRedraw=not actions):
  File "/usr/lib/anaconda/iw/partition_gui.py", line 974, in newCB
    self.editPartition(device, isNew=1)
PartitionException: Too many primary partitions.

Local variables in innermost frame:
self: parted.Disk instance --
  type: msdos  primaryPartitionCount: 4
  lastPartitionNumber: 4  maxPrimaryPartitionCount: 4
  partitions: [<parted.partition.Partition object at 0xa86094c>, <parted.partition.Partition object at 0xa86096c>, <parted.partition.Partition object at 0xa860bac>, <parted.partition.Partition object at 0xa860aac>]
  device: <parted.device.Device object at 0xa8605ac>
  PedDisk: <_ped.Disk object at 0xa86062c>
partition: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: None
  number: -1  path: /dev/sda-1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0x9e97fec>  PedPartition: <_ped.Partition object at 0xab422fc>


Anaconda instance, containing members:
rescue_mount: True
reIPLMessage: None
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 1229
    intf.icw.currentWindow: PartitionWindow instance, containing members:
      intf.icw.currentWindow.checkmark_pixbuf: <gtk.gdk.Pixbuf object at 0xa908edc (GdkPixbuf at 0xaa25150)>
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.parent: <gtk.Window object at 0xa5926bc (GtkWindow at 0xa6308f8)>
      intf.icw.currentWindow.diskStripeGraph: DiskStripeGraph instance, containing members:
        intf.icw.currentWindow.diskStripeGraph.canvas: <gnome.canvas.Canvas object at 0xaaebd9c (GnomeCanvas at 0xa93c178)>
        intf.icw.currentWindow.diskStripeGraph.textlabels: []
        intf.icw.currentWindow.diskStripeGraph.tree: <DiskTreeModel object at 0xaaebc5c (GtkTreeStore at 0xaa0d6c0)>
        intf.icw.currentWindow.diskStripeGraph.editCB: <bound method PartitionWindow.editCB of <PartitionWindow.PartitionWindow instance at 0xaad070c>>
        intf.icw.currentWindow.diskStripeGraph.next_ypos: 0.0
        intf.icw.currentWindow.diskStripeGraph.diskStripes: []
      intf.icw.currentWindow.show_uneditable: 1
      intf.icw.currentWindow.lock_pixbuf: <gtk.gdk.Pixbuf object at 0xaaebc0c (GdkPixbuf at 0xaa25188)>
      intf.icw.currentWindow.storage: <storage.Storage object at 0xa58ea0c>
      intf.icw.currentWindow.tree: <DiskTreeModel object at 0xaaebc5c (GtkTreeStore at 0xaa0d6c0)>
      intf.icw.currentWindow.toggleViewButton: <gtk.CheckButton object at 0xab002fc (GtkCheckButton at 0xaa67f48)>
      intf.icw.currentWindow.anaconda: Already dumped
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: True
        intf.icw.currentWindow.ics.title: Partitioning
      intf.icw.currentWindow.treeViewSelection: <gtk.TreeSelection object at 0xaaebd4c (GtkTreeSelection at 0xaa51820)>
      intf.icw.currentWindow.treeView: <gtk.TreeView object at 0xaaebd74 (GtkTreeView at 0xa800618)>
    intf.icw.mainxml: <gtk.glade.XML object at 0xa58b9dc (PyGladeXML at 0xa5e7860)>
    intf.icw.window: <gtk.Window object at 0xa5926bc (GtkWindow at 0xa6308f8)>
    intf.icw.installFrame: <gtk.Frame object at 0xa5925f4 (GtkFrame at 0xa5ea9a0)>
    intf.icw.anaconda: Already dumped
    intf.icw.reloadRcQueued: 0
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
mediaDevice: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0xa58ef4c>
rootPath: /mnt/sysimage
platform: <platform.X86 object at 0xa127bcc>
canReIPL: False
xdriver: None
isKickstart: False
stage2: None
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: []
    id.firewall.servicelist: []
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.upgradeRoot: None
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'LAYOUT': us, 'KEYBOARDTYPE': pc, 'VARIANT': , 'KEYTABLE': us, 'MODEL': pc105+inet, 'OPTIONS': }
    id.keyboard.type: PC
    id.keyboard._mods: KeyboardModels instance, containing members:
    id.keyboard.beenset: 1
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.tz: America/Chicago
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend._loopbackFile: None
    id.backend.rootFsType: ext4
    id.backend.osimg: //dev/mapper/live-osimg-min
    id.backend.supportsPackageSelection: False
  id.upgrade: None
  id.monitor: None
  id.storage: <storage.Storage object at 0xa58ea0c>
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.firstboot: 0
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --passalgo=sha512 --enablefingerprint
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader._configdir: /boot/grub
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: None
    id.bootloader.pure: None
    id.bootloader.storage: <storage.Storage object at 0xa58ea0c>
    id.bootloader.serialOptions: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.timeout: None
    id.bootloader._configname: grub.conf
    id.bootloader.device: None
    id.bootloader.kickstart: 0
    id.bootloader.serialDevice: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.netdevices: {'wlan0': DEVICE=wlan0
HWADDR=00:1D:E0:7D:74:09

, 'eth0': DEVICE=eth0
HWADDR=00:1E:68:06:DD:5E

}
    id.network.ksdevice: None
    id.network.overrideDHCPhostname: False
    id.network.hostname: katie.laptop
    id.network.domains: []
  id.instClass: <installclass.DefaultInstall object at 0xa12dc8c>
  id.isHeadless: 0
  id.videocard: None
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
17:55:12 INFO    : using only installclass _Fedora
17:55:12 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--liveinst', '--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
17:55:12 INFO    : Display mode = g
17:55:12 INFO    : Starting graphical installation...
17:55:13 INFO    : Detected 2016M of memory
17:55:13 INFO    : Swap attempt of 1000M to 4016M
17:55:13 WARNING : step installtype does not exist
17:55:13 WARNING : step confirminstall does not exist
17:55:13 WARNING : step complete does not exist
17:55:13 INFO    : moving (1) to step welcome
17:56:03 INFO    : moving (1) to step keyboard
17:56:09 INFO    : moving (1) to step storageinit
17:56:09 INFO    : no /tmp/fcpconfig; not configuring zfcp
17:56:10 DEBUG   : DeviceTree.addUdevDevice: name: sda ;
17:56:10 DEBUG   : DeviceTree.addUdevDiskDevice: name: sda ;
17:56:10 DEBUG   : DiskDevice._setFormat: sda ; current: None ; type: None ;
17:56:11 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda ;
17:56:11 DEBUG   : DeviceTree.addUdevDevice: name: sda1 ;
17:56:11 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda1 ;
17:56:11 DEBUG   : DiskDevice.addChild: kids: 0 ; name: sda ;
17:56:11 DEBUG   : PartitionDevice._setFormat: sda1 ;
17:56:11 DEBUG   : PartitionDevice._setFormat: sda1 ; current: None ; type: None ;
17:56:11 DEBUG   : PartitionDevice.probe: sda1 ; exists: True ;
17:56:11 DEBUG   : PartitionDevice._computeResize: sda1 ; status: True ;
17:56:11 DEBUG   : PartitionDevice.getFlag: path: /dev/sda1 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a2c>
  number: 1  path: /dev/sda1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition: <_ped.Partition object at 0xa89462c> ;
17:56:11 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda1 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a2c>
  number: 1  path: /dev/sda1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition: <_ped.Partition object at 0xa89462c> ;
17:56:11 DEBUG   : PartitionDevice.getFlag: path: /dev/sda1 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a2c>
  number: 1  path: /dev/sda1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition: <_ped.Partition object at 0xa89462c> ;
17:56:11 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda1 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a2c>
  number: 1  path: /dev/sda1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition: <_ped.Partition object at 0xa89462c> ;
17:56:11 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda1 ;
17:56:12 DEBUG   : NTFS.supported: supported: False ;
17:56:12 DEBUG   : PartitionDevice._setFormat: sda1 ;
17:56:12 DEBUG   : PartitionDevice._setFormat: sda1 ; current: None ; type: ntfs ;
17:56:12 DEBUG   : DeviceTree.addUdevDevice: name: sda2 ;
17:56:12 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda2 ;
17:56:12 DEBUG   : DiskDevice.addChild: kids: 1 ; name: sda ;
17:56:12 DEBUG   : PartitionDevice._setFormat: sda2 ;
17:56:12 DEBUG   : PartitionDevice._setFormat: sda2 ; current: None ; type: None ;
17:56:12 DEBUG   : PartitionDevice.probe: sda2 ; exists: True ;
17:56:12 DEBUG   : PartitionDevice._computeResize: sda2 ; status: True ;
17:56:12 DEBUG   : PartitionDevice.getFlag: path: /dev/sda2 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a6c>
  number: 2  path: /dev/sda2  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition: <_ped.Partition object at 0xa89468c> ;
17:56:12 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda2 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a6c>
  number: 2  path: /dev/sda2  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition: <_ped.Partition object at 0xa89468c> ;
17:56:12 DEBUG   : PartitionDevice.getFlag: path: /dev/sda2 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a6c>
  number: 2  path: /dev/sda2  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition: <_ped.Partition object at 0xa89468c> ;
17:56:12 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda2 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a6c>
  number: 2  path: /dev/sda2  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition: <_ped.Partition object at 0xa89468c> ;
17:56:12 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda2 ;
17:56:16 DEBUG   : NTFS.supported: supported: False ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda2 ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda2 ; current: None ; type: ntfs ;
17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: sda3 ;
17:56:16 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda3 ;
17:56:16 DEBUG   : DiskDevice.addChild: kids: 2 ; name: sda ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ; current: None ; type: None ;
17:56:16 DEBUG   : PartitionDevice.probe: sda3 ; exists: True ;
17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda3 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c2c>
  number: 3  path: /dev/sda3  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition: <_ped.Partition object at 0xa8946ec> ;
17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda3 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c2c>
  number: 3  path: /dev/sda3  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition: <_ped.Partition object at 0xa8946ec> ;
17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda3 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c2c>
  number: 3  path: /dev/sda3  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition: <_ped.Partition object at 0xa8946ec> ;
17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda3 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c2c>
  number: 3  path: /dev/sda3  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition: <_ped.Partition object at 0xa8946ec> ;
17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda3 ;
17:56:16 DEBUG   : Ext3FS.supported: supported: True ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ; current: None ; type: ext3 ;
17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: sda4 ;
17:56:16 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda4 ;
17:56:16 DEBUG   : DiskDevice.addChild: kids: 3 ; name: sda ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ; current: None ; type: None ;
17:56:16 DEBUG   : PartitionDevice.probe: sda4 ; exists: True ;
17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda4 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c4c>
  number: 4  path: /dev/sda4  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition: <_ped.Partition object at 0xa89465c> ;
17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda4 ; flag: 1 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c4c>
  number: 4  path: /dev/sda4  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition: <_ped.Partition object at 0xa89465c> ;
17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda4 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c4c>
  number: 4  path: /dev/sda4  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition: <_ped.Partition object at 0xa89465c> ;
17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda4 ; flag: 10 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c4c>
  number: 4  path: /dev/sda4  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition: <_ped.Partition object at 0xa89465c> ;
17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda4 ;
17:56:16 DEBUG   : SwapSpace.__init__: device: /dev/sda4 ; uuid: 3c9af495-0d96-4433-a697-dc79f22f6ea2 ; exists: True ; label: None ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ;
17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ; current: None ; type: swap ;
17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: live-rw ;
17:56:16 DEBUG   : DeviceTree.addUdevDMDevice: name: live-rw ;
17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: loop3 ;
17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: None ;
17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: live-osimg-min ;
17:56:16 DEBUG   : DeviceTree.addUdevDMDevice: name: live-osimg-min ;
17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: loop3 ;
17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: None ;
17:56:16 DEBUG   : PartitionDevice.teardown: sda1 ; status: True ;
17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ; type: None ;
17:56:16 DEBUG   : PartitionDevice.teardown: sda2 ; status: True ;
17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ; type: None ;
17:56:16 DEBUG   : PartitionDevice.teardown: sda3 ; status: True ;
17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ; type: None ;
17:56:16 DEBUG   : PartitionDevice.teardown: sda4 ; status: True ;
17:56:16 DEBUG   : SwapSpace.teardown: device: /dev/sda4 ; status: False ; type: swap ;
17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ; type: None ;
17:56:16 INFO    : moving (1) to step network
17:56:27 INFO    : moving (1) to step timezone
17:56:37 INFO    : moving (1) to step accounts
17:56:48 INFO    : moving (1) to step setuptime
12:56:49 INFO    : moving (1) to step parttype
12:56:52 INFO    : moving (1) to step partition
12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda1 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a2c>
  number: 1  path: /dev/sda1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition: <_ped.Partition object at 0xa89462c> ;
12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda1 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a2c>
  number: 1  path: /dev/sda1  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition: <_ped.Partition object at 0xa89462c> ;
12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda2 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a6c>
  number: 2  path: /dev/sda2  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition: <_ped.Partition object at 0xa89468c> ;
12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda2 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860a6c>
  number: 2  path: /dev/sda2  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition: <_ped.Partition object at 0xa89468c> ;
12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda3 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c2c>
  number: 3  path: /dev/sda3  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition: <_ped.Partition object at 0xa8946ec> ;
12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda3 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c2c>
  number: 3  path: /dev/sda3  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition: <_ped.Partition object at 0xa8946ec> ;
12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda4 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c4c>
  number: 4  path: /dev/sda4  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition: <_ped.Partition object at 0xa89465c> ;
12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda4 ; flag: 3 ; part: parted.Partition instance --
  disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: <parted.filesystem.FileSystem object at 0xa860c4c>
  number: 4  path: /dev/sda4  type: 0
  name: None  active: True  busy: False
  geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition: <_ped.Partition object at 0xa89465c> ;
12:57:04 DEBUG   : Ext4FS.supported: supported: True ;
12:57:04 DEBUG   : PartitionDevice._setFormat: req0 ;
12:57:04 DEBUG   : PartitionDevice._setFormat: req0 ; current: None ; type: ext4 ;
12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
12:57:06 DEBUG   : BindFS.supported: supported: False ;
12:57:06 DEBUG   : BindFS.supported: supported: False ;
12:57:06 DEBUG   : DevPtsFS.supported: supported: False ;
12:57:06 DEBUG   : DevPtsFS.supported: supported: False ;
12:57:06 DEBUG   : DMRaidMember.__init__:
12:57:06 DEBUG   : Ext2FS.supported: supported: True ;
12:57:06 DEBUG   : Ext2FS.supported: supported: True ;
12:57:06 DEBUG   : Ext3FS.supported: supported: True ;
12:57:06 DEBUG   : Ext3FS.supported: supported: True ;
12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
12:57:06 DEBUG   : HFS.supported: supported: False ;
12:57:06 DEBUG   : HFS.supported: supported: False ;
12:57:06 DEBUG   : HFSPlus.supported: supported: False ;
12:57:06 DEBUG   : HFSPlus.supported: supported: False ;
12:57:06 DEBUG   : Iso9660FS.supported: supported: True ;
12:57:06 DEBUG   : Iso9660FS.supported: supported: True ;
12:57:06 DEBUG   : LUKS.__init__:
12:57:06 DEBUG   : LVMPhysicalVolume.__init__:
12:57:06 DEBUG   : MDRaidMember.__init__:
12:57:06 DEBUG   : NFS.supported: supported: False ;
12:57:06 DEBUG   : NFS.supported: supported: False ;
12:57:06 DEBUG   : NFSv4.supported: supported: False ;
12:57:06 DEBUG   : NFSv4.supported: supported: False ;
12:57:06 DEBUG   : NoDevFS.supported: supported: False ;
12:57:06 DEBUG   : NoDevFS.supported: supported: False ;
12:57:06 DEBUG   : NTFS.supported: supported: False ;
12:57:06 DEBUG   : NTFS.supported: supported: False ;
12:57:06 DEBUG   : ProcFS.supported: supported: False ;
12:57:06 DEBUG   : ProcFS.supported: supported: False ;
12:57:06 DEBUG   : SwapSpace.__init__:
12:57:06 DEBUG   : SysFS.supported: supported: False ;
12:57:06 DEBUG   : SysFS.supported: supported: False ;
12:57:06 DEBUG   : TmpFS.supported: supported: False ;
12:57:06 DEBUG   : TmpFS.supported: supported: False ;
12:57:06 DEBUG   : FATFS.supported: supported: True ;
12:57:06 DEBUG   : FATFS.supported: supported: True ;
12:57:06 DEBUG   : XFS.supported: supported: True ;
12:57:06 DEBUG   : XFS.supported: supported: True ;
12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
12:57:20 DEBUG   : Ext4FS.supported: supported: True ;
12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ;
12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ; current: None ; type: ext4 ;
12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ;
12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ; current: ext4 ; type: ext4 ;
12:57:20 DEBUG   : refresh: justRedraw=False
12:57:20 DEBUG   : DiskDevice.setup: sda ; status: True ;


/tmp/program.log:
Running... ['udevadm', 'trigger', '--subsystem-match=block']
Running... ['udevadm', 'settle', '--timeout=30']
Running... ['ntfsinfo', '-m', '/dev/sda1']
Volume Information 
	Name of device: /dev/sda1
	Device state: 11
	Volume Name: TOSHIBA SYSTEM VOLUME
	Volume State: 1
	Volume Version: 3.1
	Sector Size: 512
	Cluster Size: 4096
	Volume Size in Clusters: 383999
MFT Information 
	MFT Record Size: 1024
	MFT Zone Multiplier: 1
	MFT Data Position: 24
	MFT Zone Start: 128000
	MFT Zone End: 175999
	MFT Zone Position: 128000
	Current Position in First Data Zone: 175999
	Current Position in Second Data Zone: 0
	LCN of Data Attribute for FILE_MFT: 128000
	FILE_MFTMirr Size: 4
	LCN of Data Attribute for File_MFTMirr: 191999
	Size of Attribute Definition Table: 2560
FILE_Bitmap Information 
	FILE_Bitmap MFT Record Number: 6
	State of FILE_Bitmap Inode: 0
	Length of Attribute List: 0
	Attribute List: (null)
	Number of Attached Extent Inodes: 0
FILE_Bitmap Data Attribute Information
	Decompressed Runlist: not done yet
	Base Inode: 6
	Attribute Types: not done yet
	Attribute Name Length: 0
	Attribute State: 3
	Attribute Allocated Size: 49152
	Attribute Data Size: 48000
	Attribute Initialized Size: 48000
	Attribute Compressed Size: 0
	Compression Block Size: 0
	Compression Block Size Bits: 0
	Compression Block Clusters: 0
Running... ['ntfsresize', '-m', '/dev/sda1']
ntfsresize v2.0.0 (libntfs 10:0:0)
Minsize (in MB): 525
Running... ['ntfsinfo', '-m', '/dev/sda2']
Volume Information 
	Name of device: /dev/sda2
	Device state: 11
	Volume Name: SQ004587V02
	Volume State: 1
	Volume Version: 3.1
	Sector Size: 512
	Cluster Size: 4096
	Volume Size in Clusters: 15728639
MFT Information 
	MFT Record Size: 1024
	MFT Zone Multiplier: 1
	MFT Data Position: 24
	MFT Zone Start: 786432
	MFT Zone End: 2752511
	MFT Zone Position: 786432
	Current Position in First Data Zone: 2752511
	Current Position in Second Data Zone: 0
	LCN of Data Attribute for FILE_MFT: 786432
	FILE_MFTMirr Size: 4
	LCN of Data Attribute for File_MFTMirr: 7864319
	Size of Attribute Definition Table: 2560
FILE_Bitmap Information 
	FILE_Bitmap MFT Record Number: 6
	State of FILE_Bitmap Inode: 0
	Length of Attribute List: 0
	Attribute List: (null)
	Number of Attached Extent Inodes: 0
FILE_Bitmap Data Attribute Information
	Decompressed Runlist: not done yet
	Base Inode: 6
	Attribute Types: not done yet
	Attribute Name Length: 0
	Attribute State: 3
	Attribute Allocated Size: 1966080
	Attribute Data Size: 1966080
	Attribute Initialized Size: 1966080
	Attribute Compressed Size: 0
	Compression Block Size: 0
	Compression Block Size Bits: 0
	Compression Block Clusters: 0
Running... ['ntfsresize', '-m', '/dev/sda2']
ntfsresize v2.0.0 (libntfs 10:0:0)
Minsize (in MB): 28837
Running... ['dumpe2fs', '-h', '/dev/sda3']
Filesystem volume name:   <none>
Last mounted on:          <not available>
Filesystem UUID:          791ea49b-0c43-4375-b6af-918e6acda95c
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal ext_attr resize_inode dir_index filetype sparse_super large_file
Filesystem flags:         signed_directory_hash 
Default mount options:    (none)
Filesystem state:         clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              3932160
Block count:              15727635
Reserved block count:     786381
Free blocks:              14862971
Free inodes:              3817233
First block:              0
Block size:               4096
Fragment size:            4096
Reserved GDT blocks:      1020
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         8192
Inode blocks per group:   512
Filesystem created:       Mon Jun 15 09:57:16 2009
Last mount time:          Mon Jun 15 18:47:15 2009
Last write time:          Mon Jun 15 18:48:03 2009
Mount count:              3
Maximum mount count:      29
Last checked:             Mon Jun 15 09:57:16 2009
Check interval:           15552000 (6 months)
Next check after:         Sat Dec 12 08:57:16 2009
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:	          256
Required extra isize:     28
Desired extra isize:      28
Journal inode:            8
Default directory hash:   half_md4
Directory Hash Seed:      3d7a9ac1-b129-4f55-b857-bcd18a9ffda2
Journal backup:           inode blocks
Journal size:             128M

dumpe2fs 1.41.4 (27-Jan-2009)
Running... ['resize2fs', '-P', '/dev/sda3']
Estimated minimum size of the filesystem: 620535
resize2fs 1.41.4 (27-Jan-2009)
Running... ['udevadm', 'settle', '--timeout=30']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['udevadm', 'settle', '--timeout=10']
Running... ['/usr/sbin/hwclock', '--hctosys', '-u']
Running... ['modprobe', 'ext2']
WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.
Running... ['modprobe', 'xfs']
WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.


/tmp/storage.log:
[2009-06-15 17:55:08,895]    DEBUG: registered device format class LUKS as luks
[2009-06-15 17:55:08,897]    DEBUG: registered device format class DMRaidMember as dmraidmember
[2009-06-15 17:55:08,898]    DEBUG: registered device format class SwapSpace as swap
[2009-06-15 17:55:08,900]    DEBUG: registered device format class PPCPRePBoot as prepboot
[2009-06-15 17:55:08,903]    DEBUG: registered device format class Ext2FS as ext2
[2009-06-15 17:55:08,904]    DEBUG: registered device format class Ext3FS as ext3
[2009-06-15 17:55:08,904]    DEBUG: registered device format class Ext4FS as ext4
[2009-06-15 17:55:08,905]    DEBUG: registered device format class FATFS as vfat
[2009-06-15 17:55:08,905]    DEBUG: registered device format class EFIFS as efi
[2009-06-15 17:55:08,906]    DEBUG: registered device format class BTRFS as btrfs
[2009-06-15 17:55:08,906]    DEBUG: registered device format class GFS2 as gfs2
[2009-06-15 17:55:08,907]    DEBUG: registered device format class JFS as jfs
[2009-06-15 17:55:08,907]    DEBUG: registered device format class XFS as xfs
[2009-06-15 17:55:08,908]    DEBUG: registered device format class HFS as hfs
[2009-06-15 17:55:08,908]    DEBUG: registered device format class AppleBootstrapFS as appleboot
[2009-06-15 17:55:08,909]    DEBUG: registered device format class HFSPlus as hfs+
[2009-06-15 17:55:08,909]    DEBUG: registered device format class NTFS as ntfs
[2009-06-15 17:55:08,910]    DEBUG: registered device format class NFS as nfs
[2009-06-15 17:55:08,910]    DEBUG: registered device format class NFSv4 as nfs4
[2009-06-15 17:55:08,911]    DEBUG: registered device format class Iso9660FS as iso9660
[2009-06-15 17:55:08,911]    DEBUG: registered device format class NoDevFS as nodev
[2009-06-15 17:55:08,911]    DEBUG: registered device format class DevPtsFS as devpts
[2009-06-15 17:55:08,911]    DEBUG: registered device format class ProcFS as proc
[2009-06-15 17:55:08,912]    DEBUG: registered device format class SysFS as sysfs
[2009-06-15 17:55:08,912]    DEBUG: registered device format class TmpFS as tmpfs
[2009-06-15 17:55:08,912]    DEBUG: registered device format class BindFS as bind
[2009-06-15 17:55:08,913]    DEBUG: registered device format class MDRaidMember as mdmember
[2009-06-15 17:55:08,913]    DEBUG: registered device format class LVMPhysicalVolume as lvmpv
[2009-06-15 17:56:10,313]     INFO: sr0 looks to be the live device; ignoring
[2009-06-15 17:56:10,318]     INFO: devices to scan: ['sda', 'sda1', 'sda2', 'sda3', 'sda4', 'dm-0', 'dm-1']
[2009-06-15 17:56:10,712]    DEBUG: scanning sda (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda)...
[2009-06-15 17:56:10,712]    DEBUG: looking for device 'sda'...
[2009-06-15 17:56:10,713]    DEBUG: found None
[2009-06-15 17:56:10,716]    DEBUG: sda is a disk
[2009-06-15 17:56:10,717]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-15 17:56:10,726]    DEBUG: looking up parted Device: /dev/sda
[2009-06-15 17:56:10,726]    DEBUG: looking up parted Device: /dev/sda
[2009-06-15 17:56:10,734]    DEBUG: creating parted Disk: /dev/sda
[2009-06-15 17:56:11,490]    DEBUG: added sda (disk) to device tree
[2009-06-15 17:56:11,494]    DEBUG: {'DKD_PARTITION_TABLE': '1', 'ID_REVISION': '0040', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'FUJITSU_MHY2250BH_K42AT8126SGY', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'ID_VENDOR': 'ATA', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION_TABLE_SCHEME': 'mbr', 'DEVTYPE': 'disk', 'ID_BUS': 'scsi', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda', 'ID_TYPE': 'disk', 'MINOR': '0', 'symlinks': ['block/8:0', 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY', 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY', 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0'], 'ID_SERIAL_SHORT': 'K42AT8126SGY', 'name': 'sda', 'DKD_ATA_SMART_IS_AVAILABLE': '1', 'ANACBIN': '/sbin', 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B', 'DKD_MEDIA_AVAILABLE': '1'}
[2009-06-15 17:56:11,494]    DEBUG: no type or existing type for sda, bailing
[2009-06-15 17:56:11,497]    DEBUG: scanning sda1 (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1)...
[2009-06-15 17:56:11,498]    DEBUG: looking for device 'sda1'...
[2009-06-15 17:56:11,498]    DEBUG: found None
[2009-06-15 17:56:11,499]    DEBUG: sda1 is a partition
[2009-06-15 17:56:11,502]    DEBUG: looking for device 'sda'...
[2009-06-15 17:56:11,503]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
  description =   name = sda  status = True  parents = []
  kids = 0
  id = 0
  uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c>  size = 238472.687988
  major = 8  minor = 0  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label = None
  target size = 0  path = /dev/sda
  format args = []  removable = False  partedDevice = <parted.device.Device object at 0xa8605ac>
  partedDisk = <parted.disk.Disk object at 0xa86060c>
[2009-06-15 17:56:11,511]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-15 17:56:11,513]    DEBUG: looking up parted Partition: /dev/sda1
[2009-06-15 17:56:11,516]    DEBUG: looking up parted Device: /dev/sda1
[2009-06-15 17:56:11,527]    DEBUG: added sda1 (partition) to device tree
[2009-06-15 17:56:11,529]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '1572864000', 'ID_FS_VERSION': '3.1', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'DKD_PARTITION_NUMBER': '1', 'ID_VENDOR': 'ATA', 'ID_FS_LABEL_ENC': 'TOSHIBA\\x20SYSTEM\\x20VOLUME', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '1', 'DEVTYPE': 'partition', 'ID_FS_UUID': 'CEF0F7E7F0F7D3A5', 'ID_FS_UUID_ENC': 'CEF0F7E7F0F7D3A5', 'ID_FS_TYPE': 'ntfs', 'DKD_PARTITION_TYPE': '0x27', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1', 'ID_FS_LABEL': 'TOSHIBA_SYSTEM_VOLUME', 'ID_FS_USAGE': 'filesystem', 'ID_TYPE': 'disk', 'DKD_PARTITION_SCHEME': 'mbr', 'ID_BUS': 'scsi', 'symlinks': ['block/8:1', 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part1', 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part1', 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part1', 'disk/by-uuid/CEF0F7E7F0F7D3A5', 'disk/by-label/TOSHIBA\\x20SYSTEM\\x20VOLUME'], 'ID_SERIAL_SHORT': 'K42AT8126SGY', 'name': 'sda1', 'ANACBIN': '/sbin', 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B'}
[2009-06-15 17:56:11,529]    DEBUG: type detected on 'sda1' is 'ntfs'
[2009-06-15 17:56:12,191]    DEBUG: getFormat('ntfs') returning NTFS instance
[2009-06-15 17:56:12,202]    DEBUG: scanning sda2 (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2)...
[2009-06-15 17:56:12,202]    DEBUG: looking for device 'sda2'...
[2009-06-15 17:56:12,203]    DEBUG: found None
[2009-06-15 17:56:12,203]    DEBUG: sda2 is a partition
[2009-06-15 17:56:12,206]    DEBUG: looking for device 'sda'...
[2009-06-15 17:56:12,208]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
  description =   name = sda  status = True  parents = []
  kids = 1
  id = 0
  uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c>  size = 238472.687988
  major = 8  minor = 0  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label = None
  target size = 0  path = /dev/sda
  format args = []  removable = False  partedDevice = <parted.device.Device object at 0xa8605ac>
  partedDisk = <parted.disk.Disk object at 0xa86060c>
[2009-06-15 17:56:12,216]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-15 17:56:12,220]    DEBUG: looking up parted Partition: /dev/sda2
[2009-06-15 17:56:12,224]    DEBUG: looking up parted Device: /dev/sda2
[2009-06-15 17:56:12,238]    DEBUG: added sda2 (partition) to device tree
[2009-06-15 17:56:12,240]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '64424509440', 'ID_FS_VERSION': '3.1', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'DKD_PARTITION_NUMBER': '2', 'ID_VENDOR': 'ATA', 'ID_FS_LABEL_ENC': 'SQ004587V02', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '2', 'DEVTYPE': 'partition', 'ID_FS_UUID': '62C4FF5CC4FF30C1', 'DKD_PARTITION_FLAGS': 'boot', 'ID_FS_UUID_ENC': '62C4FF5CC4FF30C1', 'ID_FS_TYPE': 'ntfs', 'DKD_PARTITION_TYPE': '0x07', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2', 'ID_FS_LABEL': 'SQ004587V02', 'ID_FS_USAGE': 'filesystem', 'ID_TYPE': 'disk', 'DKD_PARTITION_SCHEME': 'mbr', 'ID_BUS': 'scsi', 'symlinks': ['block/8:2', 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part2', 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part2', 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part2', 'disk/by-uuid/62C4FF5CC4FF30C1', 'disk/by-label/SQ004587V02'], 'ID_SERIAL_SHORT': 'K42AT8126SGY', 'name': 'sda2', 'ANACBIN': '/sbin', 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B'}
[2009-06-15 17:56:12,241]    DEBUG: type detected on 'sda2' is 'ntfs'
[2009-06-15 17:56:16,394]    DEBUG: getFormat('ntfs') returning NTFS instance
[2009-06-15 17:56:16,399]    DEBUG: scanning sda3 (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3)...
[2009-06-15 17:56:16,399]    DEBUG: looking for device 'sda3'...
[2009-06-15 17:56:16,399]    DEBUG: found None
[2009-06-15 17:56:16,400]    DEBUG: sda3 is a partition
[2009-06-15 17:56:16,402]    DEBUG: looking for device 'sda'...
[2009-06-15 17:56:16,402]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
  description =   name = sda  status = True  parents = []
  kids = 2
  id = 0
  uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c>  size = 238472.687988
  major = 8  minor = 0  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label = None
  target size = 0  path = /dev/sda
  format args = []  removable = False  partedDevice = <parted.device.Device object at 0xa8605ac>
  partedDisk = <parted.disk.Disk object at 0xa86060c>
[2009-06-15 17:56:16,407]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-15 17:56:16,409]    DEBUG: looking up parted Partition: /dev/sda3
[2009-06-15 17:56:16,411]    DEBUG: looking up parted Device: /dev/sda3
[2009-06-15 17:56:16,420]    DEBUG: added sda3 (partition) to device tree
[2009-06-15 17:56:16,422]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '64420392960', 'ID_FS_VERSION': '1.0', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'ID_VENDOR': 'ATA', 'DKD_PARTITION_NUMBER': '3', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '3', 'DEVTYPE': 'partition', 'ID_FS_UUID': '791ea49b-0c43-4375-b6af-918e6acda95c', 'ID_FS_UUID_ENC': '791ea49b-0c43-4375-b6af-918e6acda95c', 'ID_FS_TYPE': 'ext3', 'DKD_PARTITION_TYPE': '0x83', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3', 'ID_FS_USAGE': 'filesystem', 'ID_TYPE': 'disk', 'DKD_PARTITION_SCHEME': 'mbr', 'ID_BUS': 'scsi', 'symlinks': ['block/8:3', 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part3', 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part3', 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part3', 'disk/by-uuid/791ea49b-0c43-4375-b6af-918e6acda95c'], 'ID_SERIAL_SHORT': 'K42AT8126SGY', 'name': 'sda3', 'ANACBIN': '/sbin', 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B'}
[2009-06-15 17:56:16,423]    DEBUG: type detected on 'sda3' is 'ext3'
[2009-06-15 17:56:16,529]    DEBUG: getFormat('ext3') returning Ext3FS instance
[2009-06-15 17:56:16,539]    DEBUG: scanning sda4 (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4)...
[2009-06-15 17:56:16,540]    DEBUG: looking for device 'sda4'...
[2009-06-15 17:56:16,540]    DEBUG: found None
[2009-06-15 17:56:16,541]    DEBUG: sda4 is a partition
[2009-06-15 17:56:16,544]    DEBUG: looking for device 'sda'...
[2009-06-15 17:56:16,545]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
  description =   name = sda  status = True  parents = []
  kids = 3
  id = 0
  uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c>  size = 238472.687988
  major = 8  minor = 0  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label = None
  target size = 0  path = /dev/sda
  format args = []  removable = False  partedDevice = <parted.device.Device object at 0xa8605ac>
  partedDisk = <parted.disk.Disk object at 0xa86060c>
[2009-06-15 17:56:16,552]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-15 17:56:16,555]    DEBUG: looking up parted Partition: /dev/sda4
[2009-06-15 17:56:16,557]    DEBUG: looking up parted Device: /dev/sda4
[2009-06-15 17:56:16,566]    DEBUG: added sda4 (partition) to device tree
[2009-06-15 17:56:16,568]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '1571028480', 'ID_FS_VERSION': '2', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'ID_VENDOR': 'ATA', 'DKD_PARTITION_NUMBER': '4', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '4', 'DEVTYPE': 'partition', 'ID_FS_UUID': '3c9af495-0d96-4433-a697-dc79f22f6ea2', 'ID_FS_UUID_ENC': '3c9af495-0d96-4433-a697-dc79f22f6ea2', 'ID_FS_TYPE': 'swap', 'DKD_PARTITION_TYPE': '0x82', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4', 'ID_FS_USAGE': 'other', 'ID_TYPE': 'disk', 'DKD_PARTITION_SCHEME': 'mbr', 'ID_BUS': 'scsi', 'symlinks': ['block/8:4', 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part4', 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part4', 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part4', 'disk/by-uuid/3c9af495-0d96-4433-a697-dc79f22f6ea2'], 'ID_SERIAL_SHORT': 'K42AT8126SGY', 'name': 'sda4', 'ANACBIN': '/sbin', 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B'}
[2009-06-15 17:56:16,568]    DEBUG: type detected on 'sda4' is 'swap'
[2009-06-15 17:56:16,572]    DEBUG: getFormat('swap') returning SwapSpace instance
[2009-06-15 17:56:16,577]    DEBUG: scanning live-rw (/devices/virtual/block/dm-0)...
[2009-06-15 17:56:16,577]    DEBUG: looking for device 'live-rw'...
[2009-06-15 17:56:16,578]    DEBUG: found None
[2009-06-15 17:56:16,578]    DEBUG: live-rw is a device-mapper device
[2009-06-15 17:56:16,580]    DEBUG: looking for device 'loop3'...
[2009-06-15 17:56:16,580]    DEBUG: found None
[2009-06-15 17:56:16,582]    DEBUG: ignoring loop3 (/devices/virtual/block/loop3)
[2009-06-15 17:56:16,583]    DEBUG: looking for device 'loop3'...
[2009-06-15 17:56:16,583]    DEBUG: found None
[2009-06-15 17:56:16,583]    ERROR: failure scanning device live-rw: could not add slave loop3
[2009-06-15 17:56:16,585]    DEBUG: {'ID_FS_VERSION': '1.0', 'DKD_DM_TARGET_COUNT': '1', 'DM_OPEN': '1', 'DM_MINOR': '0', 'DM_NAME': 'live-rw', 'ID_FS_LABEL_ENC': 'Fedora-11-i686-L', 'ANACBIN': '/sbin', 'DKD_DM_TARGET_TYPES': 'snapshot', 'DKD_DM_LAST_EVENT_NR': '0', 'DEVTYPE': 'disk', 'DM_SUSPENDED': 'Active', 'DKD_DM_NAME': 'live-rw', 'DKD_DM_MAJOR': '253', 'ID_FS_UUID': 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_UUID_ENC': 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_TYPE': 'ext4', 'DM_MAJOR': '253', 'DKD_DM_OPENCOUNT': '1', 'sysfs_path': '/devices/virtual/block/dm-0', 'ID_FS_LABEL': 'Fedora-11-i686-L', 'ID_FS_USAGE': 'filesystem', 'DM_READONLY': 'Writeable', 'DKD_DM_TABLE_STATE': 'LIVE', 'MINOR': '0', 'symlinks': ['block/253:0', 'disk/by-id/dm-name-live-rw', 'disk/by-uuid/d8394cd3-060a-42c8-8585-aebb23927bcb', 'disk/by-label/Fedora-11-i686-L'], 'DM_TABLES_LOADED': 'Live', 'MAJOR': '253', 'name': 'dm-0', 'DKD_DM_MINOR': '0', 'DKD_DM_STATE': 'ACTIVE', 'DKD_MEDIA_AVAILABLE': '1'}
[2009-06-15 17:56:16,585]    DEBUG: no type or existing type for live-rw, bailing
[2009-06-15 17:56:16,587]    DEBUG: scanning live-osimg-min (/devices/virtual/block/dm-1)...
[2009-06-15 17:56:16,587]    DEBUG: looking for device 'live-osimg-min'...
[2009-06-15 17:56:16,587]    DEBUG: found None
[2009-06-15 17:56:16,587]    DEBUG: live-osimg-min is a device-mapper device
[2009-06-15 17:56:16,589]    DEBUG: looking for device 'loop3'...
[2009-06-15 17:56:16,590]    DEBUG: found None
[2009-06-15 17:56:16,592]    DEBUG: ignoring loop3 (/devices/virtual/block/loop3)
[2009-06-15 17:56:16,592]    DEBUG: looking for device 'loop3'...
[2009-06-15 17:56:16,592]    DEBUG: found None
[2009-06-15 17:56:16,593]    ERROR: failure scanning device live-osimg-min: could not add slave loop3
[2009-06-15 17:56:16,594]    DEBUG: {'ID_FS_VERSION': '1.0', 'DKD_DM_TARGET_COUNT': '1', 'DM_OPEN': '0', 'DM_MINOR': '1', 'DM_NAME': 'live-osimg-min', 'ID_FS_LABEL_ENC': 'Fedora-11-i686-L', 'ANACBIN': '/sbin', 'DKD_DM_TARGET_TYPES': 'snapshot', 'DKD_DM_LAST_EVENT_NR': '0', 'DEVTYPE': 'disk', 'DM_SUSPENDED': 'Active', 'DKD_DM_NAME': 'live-osimg-min', 'DKD_DM_MAJOR': '253', 'ID_FS_UUID': 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_UUID_ENC': 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_TYPE': 'ext4', 'DM_MAJOR': '253', 'DKD_DM_OPENCOUNT': '0', 'sysfs_path': '/devices/virtual/block/dm-1', 'ID_FS_LABEL': 'Fedora-11-i686-L', 'ID_FS_USAGE': 'filesystem', 'DM_READONLY': 'Read-only', 'DKD_DM_TABLE_STATE': 'LIVE', 'MINOR': '1', 'symlinks': ['block/253:1', 'disk/by-id/dm-name-live-osimg-min', 'disk/by-uuid/d8394cd3-060a-42c8-8585-aebb23927bcb', 'disk/by-label/Fedora-11-i686-L'], 'DM_TABLES_LOADED': 'Live', 'MAJOR': '253', 'name': 'dm-1', 'DKD_DM_MINOR': '1', 'DKD_DM_STATE': 'READONLY', 'DKD_MEDIA_AVAILABLE': '1'}
[2009-06-15 17:56:16,595]    DEBUG: no type or existing type for live-osimg-min, bailing
[2009-06-15 17:56:16,669]     INFO: sr0 looks to be the live device; ignoring
[2009-06-15 17:56:16,898]     INFO: failed to unlink /etc/mdadm.conf
[2009-06-15 12:56:53,114]    DEBUG: looking for device 'sda-1'...
[2009-06-15 12:56:53,115]    DEBUG: found None
[2009-06-15 12:56:53,115]    DEBUG: looking for device 'sda1'...
[2009-06-15 12:56:53,115]    DEBUG: found PartitionDevice instance (0xa8608ec) --
  description =   name = sda1  status = True  parents = [<storage.devices.DiskDevice object at 0xa5a4d8c>]
  kids = 0
  id = 1
  uuid = None  format = <storage.formats.fs.NTFS object at 0xa860ccc>  size = 1500.0
  major = 8  minor = 1  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1  label = None
  target size = 1500.0  path = /dev/sda1
  format args = []  grow = None  max size = 0  bootable = None
  part type = 0  primary = None
  partedPartition = <parted.partition.Partition object at 0xa86094c>  disk = <storage.devices.DiskDevice object at 0xa5a4d8c>
[2009-06-15 12:56:53,120]    DEBUG: looking for device 'sda2'...
[2009-06-15 12:56:53,120]    DEBUG: found PartitionDevice instance (0xa860ecc) --
  description =   name = sda2  status = True  parents = [<storage.devices.DiskDevice object at 0xa5a4d8c>]
  kids = 0
  id = 2
  uuid = None  format = <storage.formats.fs.NTFS object at 0xa860fcc>  size = 61440.0
  major = 8  minor = 2  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2  label = None
  target size = 61440.0  path = /dev/sda2
  format args = []  grow = None  max size = 0  bootable = True
  part type = 0  primary = None
  partedPartition = <parted.partition.Partition object at 0xa86096c>  disk = <storage.devices.DiskDevice object at 0xa5a4d8c>
[2009-06-15 12:56:53,121]    DEBUG: looking for device 'sda-1'...
[2009-06-15 12:56:53,121]    DEBUG: found None
[2009-06-15 12:56:53,123]    DEBUG: looking for device 'sda3'...
[2009-06-15 12:56:53,123]    DEBUG: found PartitionDevice instance (0xa8af10c) --
  description =   name = sda3  status = True  parents = [<storage.devices.DiskDevice object at 0xa5a4d8c>]
  kids = 0
  id = 3
  uuid = None  format = <storage.formats.fs.Ext3FS object at 0xa8608ac>  size = 61436.0742188
  major = 8  minor = 3  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3  label = None
  target size = 0  path = /dev/sda3
  format args = []  grow = None  max size = 0  bootable = None
  part type = 0  primary = None
  partedPartition = <parted.partition.Partition object at 0xa860bac>  disk = <storage.devices.DiskDevice object at 0xa5a4d8c>
[2009-06-15 12:56:53,124]    DEBUG: looking for device 'sda4'...
[2009-06-15 12:56:53,125]    DEBUG: found PartitionDevice instance (0xa8af0ec) --
  description =   name = sda4  status = True  parents = [<storage.devices.DiskDevice object at 0xa5a4d8c>]
  kids = 0
  id = 4
  uuid = None  format = <storage.formats.swap.SwapSpace object at 0xa8af06c>  size = 1498.24951172
  major = 8  minor = 4  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4  label = None
  target size = 0  path = /dev/sda4
  format args = []  grow = None  max size = 0  bootable = None
  part type = 0  primary = None
  partedPartition = <parted.partition.Partition object at 0xa860aac>  disk = <storage.devices.DiskDevice object at 0xa5a4d8c>
[2009-06-15 12:56:53,126]    DEBUG: looking for device 'sda-1'...
[2009-06-15 12:56:53,126]    DEBUG: found None
[2009-06-15 12:57:04,425]    DEBUG: getFormat('ext4') returning Ext4FS instance
[2009-06-15 12:57:20,168]    DEBUG: added req1 (partition) to device tree
[2009-06-15 12:57:20,168]    DEBUG: registered action: Create Device req1 (partition)
[2009-06-15 12:57:20,169]    DEBUG: registered action: Create Format ext4 on req1 (partition)
[2009-06-15 12:57:20,174]    DEBUG: allocatePartitions: disks=[<storage.devices.DiskDevice object at 0xa5a4d8c>] ; partitions=[<storage.devices.PartitionDevice object at 0x9e9c22c>]
[2009-06-15 12:57:20,174]    DEBUG: removing all non-preexisting from disk(s)
[2009-06-15 12:57:20,175]    DEBUG: allocating partition: req1 ; disks: [<storage.devices.DiskDevice object at 0xa5a4d8c>] ; boot: True ; primary: True ; size: 61440MB ; grow: None ; max_size: 0
[2009-06-15 12:57:20,175]    DEBUG: checking freespace on sda
[2009-06-15 12:57:20,175]    DEBUG: getBestFreeSpaceRegion: disk=/dev/sda part_type=0 req_size=61440MB boot=True best=None
[2009-06-15 12:57:20,176]    DEBUG: current free range is 63-2047 (0MB)
[2009-06-15 12:57:20,176]    DEBUG: current free range is 128903168-128905559 (1MB)
[2009-06-15 12:57:20,176]    DEBUG: current free range is 257795055-488392064 (112596MB)
[2009-06-15 12:57:20,177]    DEBUG: updating use_disk to DiskDevice instance (0xa5a4d8c) --
  description =   name = sda  status = True  parents = []
  kids = 4
  id = 0
  uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c>  size = 238472.687988
  major = 8  minor = 0  exists = True
  sysfs path = /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label = None
  target size = 0  path = /dev/sda
  format args = []  removable = False  partedDevice = <parted.device.Device object at 0xa8605ac>
  partedDisk = <parted.disk.Disk object at 0xa86060c> (sda), type: 0
[2009-06-15 12:57:20,177]    DEBUG: new free: parted.Geometry instance --
  start: 257795055  end: 488392064  length: 230597010
  device: <parted.device.Device object at 0xab0366c>  PedGeometry: <_ped.Geometry object at 0xab035ac> (257795055-488392064 / 112596MB)
[2009-06-15 12:57:20,177]    DEBUG: found free space for bootable request
Comment 1 hulyom 2009-06-26 06:11:56 EDT
Created attachment 349530 [details]
Installation on PPC anaconda can't handle an ext3 fdisk formated partition

This is the bug report for the installation on PPC
Comment 2 glenn 2009-06-28 19:45:56 EDT
The problem also occurs for a completely blank SATA disk with no partitions created on it.  The storage.log file has the following content.
I have been unable to create a kickstart disk for users under FC11.  Are there any who have successfully created a kickstart dvd?  Their successful cfg file would be appreciated.

[2009-06-28 23:12:17,042]    DEBUG: registered device format class MDRaidMember as mdmember
[2009-06-28 23:12:17,044]    DEBUG: registered device format class PPCPRePBoot as prepboot
[2009-06-28 23:12:17,051]    DEBUG: registered device format class SwapSpace as swap
[2009-06-28 23:12:21,769]     INFO: devices to scan: ['sda', 'sr0']
[2009-06-28 23:12:21,979]    DEBUG: scanning sda (/devices/pci0000:00/0000:00:1f.2/host2/target2:0:0/2:0:0:0/block/sda)...
[2009-06-28 23:12:21,979]    DEBUG: looking for device 'sda'...
[2009-06-28 23:12:21,980]    DEBUG: found None
[2009-06-28 23:12:21,984]    DEBUG: sda is a disk
[2009-06-28 23:12:21,985]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-28 23:12:21,992]    DEBUG: looking up parted Device: /dev/sda
[2009-06-28 23:12:21,993]    DEBUG: looking up parted Device: /dev/sda
[2009-06-28 23:12:21,998]    DEBUG: creating parted Disk: /dev/sda
[2009-06-28 23:12:22,155]    DEBUG: added sda (disk) to device tree
[2009-06-28 23:12:22,159]    DEBUG: {'symlinks': ['block/8:0', 'disk/by-id/scsi-1ATA_ST380215AS_6QZ2WRKZ', 'disk/by-id/ata-ST380215AS_6QZ2WRKZ', 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0', 'disk/by-id/edd-int13_dev80'], 'ID_SERIAL_SHORT': 'ATA_ST380215AS_6QZ2WRKZ', 'DEVTYPE': 'disk', 'name': 'sda', 'ID_SERIAL': '1ATA_ST380215AS_6QZ2WRKZ', 'ID_MODEL': 'ST380215AS', 'MINOR': '0', 'ANACBIN': '/usr/sbin', 'MAJOR': '8', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host2/target2:0:0/2:0:0:0/block/sda', 'ID_REVISION': '3.AA', 'ID_EDD': 'int13_dev80', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'ID_MODEL_ENC': 'ST380215AS\\x20\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT': 'ST380215AS_6QZ2WRKZ', 'ID_TYPE': 'disk', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_BUS': 'scsi', 'ID_VENDOR': 'ATA'}
[2009-06-28 23:12:22,160]    DEBUG: no type or existing type for sda, bailing
[2009-06-28 23:12:22,163]    DEBUG: scanning sr0 (/devices/pci0000:00/0000:00:1f.2/host3/target3:0:0/3:0:0:0/block/sr0)...
[2009-06-28 23:12:22,164]    DEBUG: looking for device 'sr0'...
[2009-06-28 23:12:22,165]    DEBUG: found None
[2009-06-28 23:12:22,165]    DEBUG: sr0 is a cdrom
[2009-06-28 23:12:22,169]    DEBUG: getFormat('None') returning DeviceFormat instance
[2009-06-28 23:12:22,174]    DEBUG: added sr0 (cdrom) to device tree
[2009-06-28 23:12:22,178]    DEBUG: {'ID_REVISION': 'SB00', 'ID_PATH': 'pci-0000:00:1f.2-scsi-1:0:0:0', 'ID_CDROM_DVD_PLUS_RW': '1', 'ID_VENDOR_ENC': 'TSSTcorp', 'ID_MODEL_ENC': 'CDDVDW\\x20SH-S223F\\x20', 'ID_VENDOR': 'TSSTcorp', 'ID_FS_LABEL_ENC': 'gateman5.6.fc11', 'ANACBIN': '/usr/sbin', 'ID_CDROM_MEDIA': '1', 'ID_CDROM_MEDIA_STATE': 'complete', 'DEVTYPE': 'disk', 'MINOR': '0', 'ID_FS_TYPE': 'iso9660', 'ID_CDROM_MEDIA_SESSION_COUNT': '1', 'ID_CDROM_DVD_R': '1', 'ID_CDROM_MEDIA_DVD_PLUS_R': '1', 'ID_CDROM': '1', 'ID_MODEL': 'CDDVDW_SH-S223F', 'ID_CDROM_MEDIA_TRACK_COUNT_DATA': '1', 'ID_CDROM_CD_RW': '1', 'ID_CDROM_MRW': '1', 'ID_FS_LABEL': 'gateman5.6.fc11', 'ID_FS_USAGE': 'filesystem', 'ID_CDROM_CD_R': '1', 'ID_CDROM_MRW_W': '1', 'ID_BUS': 'scsi', 'symlinks': ['block/11:0', 'scd0', 'disk/by-path/pci-0000:00:1f.2-scsi-1:0:0:0', 'disk/by-label/gateman5.6.fc11'], 'ID_CDROM_DVD_PLUS_R_DL': '1', 'MAJOR': '11', 'ID_CDROM_DVD_PLUS_R': '1', 'name': 'sr0', 'ID_CDROM_DVD': '1', 'sysfs_path': '/devices/pci0000:00/0000:00:1f.2/host3/target3:0:0/3:0:0:0/block/sr0', 'ID_CDROM_MEDIA_TRACK_COUNT': '1', 'ID_CDROM_DVD_RW': '1', 'ID_CDROM_DVD_RAM': '1', 'ID_TYPE': 'cd'}
[2009-06-28 23:12:22,179]    DEBUG: type detected on 'sr0' is 'iso9660'
[2009-06-28 23:12:22,269]    ERROR: failed to obtain size of filesystem on /dev/sr0: Error running : Permission denied
[2009-06-28 23:12:22,277]    DEBUG: getFormat('iso9660') returning Iso9660FS instance
[2009-06-28 23:12:22,396]     INFO: failed to unlink /etc/mdadm.conf











(In reply to comment #0)
> Description of problem: Live System User installing Fedora 11 to partitioned
> disk. Installer fails when asked to create new partition for Fedora 11.
> 
> 
> Version-Release number of selected component (if applicable): 11.5.0.59-1
> 
> 
> How reproducible: Live System User installing Fedora 11 to partitioned disk.
> Installer fails when asked to create new partition for Fedora 11.
> 
> 
> Steps to Reproduce:
> 1. Open new partition dialogue box.
> 2. Mount new partition on /.
> 3. Enter partition size value (61440 MB in this case).
> 4. Accept values, watch fail.
> 
> Actual results: Killed installation process.
> 
> 
> Expected results: Creation of new partition on which to install Fedora 11.
> 
> 
> Additional info: Posting text file (would do you the favor of leaving it as a
> text file attachment, but am operating as a live user):
> 
> anaconda 11.5.0.59-1.fc11 exception report
> Traceback (most recent call first):
>   File "/usr/lib/python2.6/site-packages/parted/disk.py", line 183, in
> addPartition
>     constraint.getPedConstraint())
>   File "/usr/lib/anaconda/storage/partitioning.py", line 827, in
> allocatePartitions
>     constraint=constraint)
>   File "/usr/lib/anaconda/storage/partitioning.py", line 587, in doPartitioning
>     allocatePartitions(disks, partitions)
>   File "/usr/lib/anaconda/iw/partition_gui.py", line 1017, in refresh
>     doPartitioning(self.storage)
>   File "/usr/lib/anaconda/iw/partition_gui.py", line 1125, in editPartition
>     if self.refresh(justRedraw=not actions):
>   File "/usr/lib/anaconda/iw/partition_gui.py", line 974, in newCB
>     self.editPartition(device, isNew=1)
> PartitionException: Too many primary partitions.
> 
> Local variables in innermost frame:
> self: parted.Disk instance --
>   type: msdos  primaryPartitionCount: 4
>   lastPartitionNumber: 4  maxPrimaryPartitionCount: 4
>   partitions: [<parted.partition.Partition object at 0xa86094c>,
> <parted.partition.Partition object at 0xa86096c>, <parted.partition.Partition
> object at 0xa860bac>, <parted.partition.Partition object at 0xa860aac>]
>   device: <parted.device.Device object at 0xa8605ac>
>   PedDisk: <_ped.Disk object at 0xa86062c>
> partition: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem: None
>   number: -1  path: /dev/sda-1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0x9e97fec>  PedPartition:
> <_ped.Partition object at 0xab422fc>
> 
> 
> Anaconda instance, containing members:
> rescue_mount: True
> reIPLMessage: None
> intf: InstallInterface instance, containing members:
>   intf.icw: InstallControlWindow instance, containing members:
>     intf.icw.handle: 1229
>     intf.icw.currentWindow: PartitionWindow instance, containing members:
>       intf.icw.currentWindow.checkmark_pixbuf: <gtk.gdk.Pixbuf object at
> 0xa908edc (GdkPixbuf at 0xaa25150)>
>       intf.icw.currentWindow.intf: Already dumped
>       intf.icw.currentWindow.parent: <gtk.Window object at 0xa5926bc (GtkWindow
> at 0xa6308f8)>
>       intf.icw.currentWindow.diskStripeGraph: DiskStripeGraph instance,
> containing members:
>         intf.icw.currentWindow.diskStripeGraph.canvas: <gnome.canvas.Canvas
> object at 0xaaebd9c (GnomeCanvas at 0xa93c178)>
>         intf.icw.currentWindow.diskStripeGraph.textlabels: []
>         intf.icw.currentWindow.diskStripeGraph.tree: <DiskTreeModel object at
> 0xaaebc5c (GtkTreeStore at 0xaa0d6c0)>
>         intf.icw.currentWindow.diskStripeGraph.editCB: <bound method
> PartitionWindow.editCB of <PartitionWindow.PartitionWindow instance at
> 0xaad070c>>
>         intf.icw.currentWindow.diskStripeGraph.next_ypos: 0.0
>         intf.icw.currentWindow.diskStripeGraph.diskStripes: []
>       intf.icw.currentWindow.show_uneditable: 1
>       intf.icw.currentWindow.lock_pixbuf: <gtk.gdk.Pixbuf object at 0xaaebc0c
> (GdkPixbuf at 0xaa25188)>
>       intf.icw.currentWindow.storage: <storage.Storage object at 0xa58ea0c>
>       intf.icw.currentWindow.tree: <DiskTreeModel object at 0xaaebc5c
> (GtkTreeStore at 0xaa0d6c0)>
>       intf.icw.currentWindow.toggleViewButton: <gtk.CheckButton object at
> 0xab002fc (GtkCheckButton at 0xaa67f48)>
>       intf.icw.currentWindow.anaconda: Already dumped
>       intf.icw.currentWindow.ics: InstallControlState instance, containing
> members:
>         intf.icw.currentWindow.ics.prevEnabled: True
>         intf.icw.currentWindow.ics.cw: Already dumped
>         intf.icw.currentWindow.ics.nextEnabled: True
>         intf.icw.currentWindow.ics.grabNext: True
>         intf.icw.currentWindow.ics.title: Partitioning
>       intf.icw.currentWindow.treeViewSelection: <gtk.TreeSelection object at
> 0xaaebd4c (GtkTreeSelection at 0xaa51820)>
>       intf.icw.currentWindow.treeView: <gtk.TreeView object at 0xaaebd74
> (GtkTreeView at 0xa800618)>
>     intf.icw.mainxml: <gtk.glade.XML object at 0xa58b9dc (PyGladeXML at
> 0xa5e7860)>
>     intf.icw.window: <gtk.Window object at 0xa5926bc (GtkWindow at 0xa6308f8)>
>     intf.icw.installFrame: <gtk.Frame object at 0xa5925f4 (GtkFrame at
> 0xa5ea9a0)>
>     intf.icw.anaconda: Already dumped
>     intf.icw.reloadRcQueued: 0
>   intf.runres: 800x600
>   intf.anaconda: Already dumped
> rescue: False
> updateSrc: None
> mediaDevice: None
> methodstr: livecd:///dev/mapper/live-osimg-min
> dispatch: <dispatch.Dispatcher object at 0xa58ef4c>
> rootPath: /mnt/sysimage
> platform: <platform.X86 object at 0xa127bcc>
> canReIPL: False
> xdriver: None
> isKickstart: False
> stage2: None
> id: InstallData instance, containing members:
>   id.firewall: Firewall instance, containing members:
>     id.firewall.portlist: []
>     id.firewall.servicelist: []
>     id.firewall.trustdevs: []
>     id.firewall.enabled: 1
>   id.anaconda: Already dumped
>   id.upgradeRoot: None
>   id.keyboard: Keyboard instance, containing members:
>     id.keyboard.info: {'LAYOUT': us, 'KEYBOARDTYPE': pc, 'VARIANT': ,
> 'KEYTABLE': us, 'MODEL': pc105+inet, 'OPTIONS': }
>     id.keyboard.type: PC
>     id.keyboard._mods: KeyboardModels instance, containing members:
>     id.keyboard.beenset: 1
>   id.timezone: Timezone instance, containing members:
>     id.timezone.utc: True
>     id.timezone.tz: America/Chicago
>   id.backend: LiveCDCopyBackend instance, containing members:
>     id.backend.modeText: 
>     id.backend.instPath: /mnt/sysimage
>     id.backend.skipFormatRoot: True
>     id.backend.instLog: None
>     id.backend.supportsUpgrades: False
>     id.backend._loopbackFile: None
>     id.backend.rootFsType: ext4
>     id.backend.osimg: //dev/mapper/live-osimg-min
>     id.backend.supportsPackageSelection: False
>   id.upgrade: None
>   id.monitor: None
>   id.storage: <storage.Storage object at 0xa58ea0c>
>   id.desktop: Desktop instance, containing members:
>     id.desktop.info: {}
>     id.desktop.runlevel: 3
>   id.rootParts: None
>   id.x_already_set: 1
>   id.firstboot: 0
>   id.users: None
>   id.displayMode: g
>   id.auth: --enableshadow --passalgo=sha512 --enablefingerprint
>   id.ksdata: None
>   id.bootloader: x86BootloaderInfo instance, containing members:
>     id.bootloader._configdir: /boot/grub
>     id.bootloader.doUpgradeOnly: 0
>     id.bootloader.above1024: 0
>     id.bootloader.defaultDevice: None
>     id.bootloader.pure: None
>     id.bootloader.storage: <storage.Storage object at 0xa58ea0c>
>     id.bootloader.serialOptions: None
>     id.bootloader.args: KernelArguments instance, containing members:
>       id.bootloader.args.args: 
>     id.bootloader.kernelLocation: /boot/
>     id.bootloader.timeout: None
>     id.bootloader._configname: grub.conf
>     id.bootloader.device: None
>     id.bootloader.kickstart: 0
>     id.bootloader.serialDevice: None
>     id.bootloader.useGrubVal: 1
>     id.bootloader._drivelist: [sda]
>     id.bootloader.images: BootImages instance, containing members:
>       id.bootloader.images.default: None
>       id.bootloader.images.images: {}
>     id.bootloader.serial: 0
>     id.bootloader.password: None
>     id.bootloader.forceLBA32: 0
>   id.extraModules: []
>   id.network: Network instance, containing members:
>     id.network.netdevices: {'wlan0': DEVICE=wlan0
> HWADDR=00:1D:E0:7D:74:09
> 
> , 'eth0': DEVICE=eth0
> HWADDR=00:1E:68:06:DD:5E
> 
> }
>     id.network.ksdevice: None
>     id.network.overrideDHCPhostname: False
>     id.network.hostname: katie.laptop
>     id.network.domains: []
>   id.instClass: <installclass.DefaultInstall object at 0xa12dc8c>
>   id.isHeadless: 0
>   id.videocard: None
>   id.instLanguage: Language instance, containing members:
>     id.instLanguage.targetLang: None
>     id.instLanguage.default: en_US.UTF-8
>     id.instLanguage.displayMode: g
>     id.instLanguage.current: en_US.UTF-8
>   id.security: Security instance, containing members:
>     id.security.selinux: 1
>   id.upgradeSwapInfo: None
> dir: 1
> backend: Already dumped
> 
> 
> /tmp/anaconda.log:
> 17:55:12 INFO    : using only installclass _Fedora
> 17:55:12 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
> '--liveinst', '--method=livecd:///dev/mapper/live-osimg-min', '--lang',
> 'en_US.UTF-8']
> 17:55:12 INFO    : Display mode = g
> 17:55:12 INFO    : Starting graphical installation...
> 17:55:13 INFO    : Detected 2016M of memory
> 17:55:13 INFO    : Swap attempt of 1000M to 4016M
> 17:55:13 WARNING : step installtype does not exist
> 17:55:13 WARNING : step confirminstall does not exist
> 17:55:13 WARNING : step complete does not exist
> 17:55:13 INFO    : moving (1) to step welcome
> 17:56:03 INFO    : moving (1) to step keyboard
> 17:56:09 INFO    : moving (1) to step storageinit
> 17:56:09 INFO    : no /tmp/fcpconfig; not configuring zfcp
> 17:56:10 DEBUG   : DeviceTree.addUdevDevice: name: sda ;
> 17:56:10 DEBUG   : DeviceTree.addUdevDiskDevice: name: sda ;
> 17:56:10 DEBUG   : DiskDevice._setFormat: sda ; current: None ; type: None ;
> 17:56:11 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda ;
> 17:56:11 DEBUG   : DeviceTree.addUdevDevice: name: sda1 ;
> 17:56:11 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda1 ;
> 17:56:11 DEBUG   : DiskDevice.addChild: kids: 0 ; name: sda ;
> 17:56:11 DEBUG   : PartitionDevice._setFormat: sda1 ;
> 17:56:11 DEBUG   : PartitionDevice._setFormat: sda1 ; current: None ; type:
> None ;
> 17:56:11 DEBUG   : PartitionDevice.probe: sda1 ; exists: True ;
> 17:56:11 DEBUG   : PartitionDevice._computeResize: sda1 ; status: True ;
> 17:56:11 DEBUG   : PartitionDevice.getFlag: path: /dev/sda1 ; flag: 1 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a2c>
>   number: 1  path: /dev/sda1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition:
> <_ped.Partition object at 0xa89462c> ;
> 17:56:11 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda1 ; flag: 1 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a2c>
>   number: 1  path: /dev/sda1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition:
> <_ped.Partition object at 0xa89462c> ;
> 17:56:11 DEBUG   : PartitionDevice.getFlag: path: /dev/sda1 ; flag: 10 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a2c>
>   number: 1  path: /dev/sda1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition:
> <_ped.Partition object at 0xa89462c> ;
> 17:56:11 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda1 ; flag: 10 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a2c>
>   number: 1  path: /dev/sda1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition:
> <_ped.Partition object at 0xa89462c> ;
> 17:56:11 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda1 ;
> 17:56:12 DEBUG   : NTFS.supported: supported: False ;
> 17:56:12 DEBUG   : PartitionDevice._setFormat: sda1 ;
> 17:56:12 DEBUG   : PartitionDevice._setFormat: sda1 ; current: None ; type:
> ntfs ;
> 17:56:12 DEBUG   : DeviceTree.addUdevDevice: name: sda2 ;
> 17:56:12 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda2 ;
> 17:56:12 DEBUG   : DiskDevice.addChild: kids: 1 ; name: sda ;
> 17:56:12 DEBUG   : PartitionDevice._setFormat: sda2 ;
> 17:56:12 DEBUG   : PartitionDevice._setFormat: sda2 ; current: None ; type:
> None ;
> 17:56:12 DEBUG   : PartitionDevice.probe: sda2 ; exists: True ;
> 17:56:12 DEBUG   : PartitionDevice._computeResize: sda2 ; status: True ;
> 17:56:12 DEBUG   : PartitionDevice.getFlag: path: /dev/sda2 ; flag: 1 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a6c>
>   number: 2  path: /dev/sda2  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition:
> <_ped.Partition object at 0xa89468c> ;
> 17:56:12 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda2 ; flag: 1 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a6c>
>   number: 2  path: /dev/sda2  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition:
> <_ped.Partition object at 0xa89468c> ;
> 17:56:12 DEBUG   : PartitionDevice.getFlag: path: /dev/sda2 ; flag: 10 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a6c>
>   number: 2  path: /dev/sda2  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition:
> <_ped.Partition object at 0xa89468c> ;
> 17:56:12 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda2 ; flag: 10 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a6c>
>   number: 2  path: /dev/sda2  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition:
> <_ped.Partition object at 0xa89468c> ;
> 17:56:12 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda2 ;
> 17:56:16 DEBUG   : NTFS.supported: supported: False ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda2 ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda2 ; current: None ; type:
> ntfs ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: sda3 ;
> 17:56:16 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda3 ;
> 17:56:16 DEBUG   : DiskDevice.addChild: kids: 2 ; name: sda ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ; current: None ; type:
> None ;
> 17:56:16 DEBUG   : PartitionDevice.probe: sda3 ; exists: True ;
> 17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda3 ; flag: 1 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c2c>
>   number: 3  path: /dev/sda3  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition:
> <_ped.Partition object at 0xa8946ec> ;
> 17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda3 ; flag: 1 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c2c>
>   number: 3  path: /dev/sda3  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition:
> <_ped.Partition object at 0xa8946ec> ;
> 17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda3 ; flag: 10 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c2c>
>   number: 3  path: /dev/sda3  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition:
> <_ped.Partition object at 0xa8946ec> ;
> 17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda3 ; flag: 10 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c2c>
>   number: 3  path: /dev/sda3  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition:
> <_ped.Partition object at 0xa8946ec> ;
> 17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda3 ;
> 17:56:16 DEBUG   : Ext3FS.supported: supported: True ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda3 ; current: None ; type:
> ext3 ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: sda4 ;
> 17:56:16 DEBUG   : DeviceTree.addUdevPartitionDevice: name: sda4 ;
> 17:56:16 DEBUG   : DiskDevice.addChild: kids: 3 ; name: sda ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ; current: None ; type:
> None ;
> 17:56:16 DEBUG   : PartitionDevice.probe: sda4 ; exists: True ;
> 17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda4 ; flag: 1 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c4c>
>   number: 4  path: /dev/sda4  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition:
> <_ped.Partition object at 0xa89465c> ;
> 17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda4 ; flag: 1 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c4c>
>   number: 4  path: /dev/sda4  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition:
> <_ped.Partition object at 0xa89465c> ;
> 17:56:16 DEBUG   : PartitionDevice.getFlag: path: /dev/sda4 ; flag: 10 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c4c>
>   number: 4  path: /dev/sda4  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition:
> <_ped.Partition object at 0xa89465c> ;
> 17:56:16 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda4 ; flag: 10 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c4c>
>   number: 4  path: /dev/sda4  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition:
> <_ped.Partition object at 0xa89465c> ;
> 17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: sda4 ;
> 17:56:16 DEBUG   : SwapSpace.__init__: device: /dev/sda4 ; uuid:
> 3c9af495-0d96-4433-a697-dc79f22f6ea2 ; exists: True ; label: None ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ;
> 17:56:16 DEBUG   : PartitionDevice._setFormat: sda4 ; current: None ; type:
> swap ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: live-rw ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDMDevice: name: live-rw ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: loop3 ;
> 17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: None ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: live-osimg-min ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDMDevice: name: live-osimg-min ;
> 17:56:16 DEBUG   : DeviceTree.addUdevDevice: name: loop3 ;
> 17:56:16 DEBUG   : DeviceTree.handleUdevDeviceFormat: name: None ;
> 17:56:16 DEBUG   : PartitionDevice.teardown: sda1 ; status: True ;
> 17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
> 17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ;
> type: None ;
> 17:56:16 DEBUG   : PartitionDevice.teardown: sda2 ; status: True ;
> 17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
> 17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ;
> type: None ;
> 17:56:16 DEBUG   : PartitionDevice.teardown: sda3 ; status: True ;
> 17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
> 17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ;
> type: None ;
> 17:56:16 DEBUG   : PartitionDevice.teardown: sda4 ; status: True ;
> 17:56:16 DEBUG   : SwapSpace.teardown: device: /dev/sda4 ; status: False ;
> type: swap ;
> 17:56:16 DEBUG   : DiskDevice.teardown: sda ; status: True ;
> 17:56:16 DEBUG   : DeviceFormat.teardown: device: /dev/sda ; status: False ;
> type: None ;
> 17:56:16 INFO    : moving (1) to step network
> 17:56:27 INFO    : moving (1) to step timezone
> 17:56:37 INFO    : moving (1) to step accounts
> 17:56:48 INFO    : moving (1) to step setuptime
> 12:56:49 INFO    : moving (1) to step parttype
> 12:56:52 INFO    : moving (1) to step partition
> 12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda1 ; flag: 3 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a2c>
>   number: 1  path: /dev/sda1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition:
> <_ped.Partition object at 0xa89462c> ;
> 12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda1 ; flag: 3 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a2c>
>   number: 1  path: /dev/sda1  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8607ec>  PedPartition:
> <_ped.Partition object at 0xa89462c> ;
> 12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda2 ; flag: 3 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a6c>
>   number: 2  path: /dev/sda2  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition:
> <_ped.Partition object at 0xa89468c> ;
> 12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda2 ; flag: 3 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860a6c>
>   number: 2  path: /dev/sda2  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa8609cc>  PedPartition:
> <_ped.Partition object at 0xa89468c> ;
> 12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda3 ; flag: 3 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c2c>
>   number: 3  path: /dev/sda3  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition:
> <_ped.Partition object at 0xa8946ec> ;
> 12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda3 ; flag: 3 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c2c>
>   number: 3  path: /dev/sda3  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860bcc>  PedPartition:
> <_ped.Partition object at 0xa8946ec> ;
> 12:56:53 DEBUG   : PartitionDevice.getFlag: path: /dev/sda4 ; flag: 3 ; part:
> parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c4c>
>   number: 4  path: /dev/sda4  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition:
> <_ped.Partition object at 0xa89465c> ;
> 12:56:53 DEBUG   : PartitionDevice.flagAvailable: path: /dev/sda4 ; flag: 3 ;
> part: parted.Partition instance --
>   disk: <parted.disk.Disk object at 0xa86060c>  fileSystem:
> <parted.filesystem.FileSystem object at 0xa860c4c>
>   number: 4  path: /dev/sda4  type: 0
>   name: None  active: True  busy: False
>   geometry: <parted.geometry.Geometry object at 0xa860b0c>  PedPartition:
> <_ped.Partition object at 0xa89465c> ;
> 12:57:04 DEBUG   : Ext4FS.supported: supported: True ;
> 12:57:04 DEBUG   : PartitionDevice._setFormat: req0 ;
> 12:57:04 DEBUG   : PartitionDevice._setFormat: req0 ; current: None ; type:
> ext4 ;
> 12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
> 12:57:06 DEBUG   : BindFS.supported: supported: False ;
> 12:57:06 DEBUG   : BindFS.supported: supported: False ;
> 12:57:06 DEBUG   : DevPtsFS.supported: supported: False ;
> 12:57:06 DEBUG   : DevPtsFS.supported: supported: False ;
> 12:57:06 DEBUG   : DMRaidMember.__init__:
> 12:57:06 DEBUG   : Ext2FS.supported: supported: True ;
> 12:57:06 DEBUG   : Ext2FS.supported: supported: True ;
> 12:57:06 DEBUG   : Ext3FS.supported: supported: True ;
> 12:57:06 DEBUG   : Ext3FS.supported: supported: True ;
> 12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
> 12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
> 12:57:06 DEBUG   : HFS.supported: supported: False ;
> 12:57:06 DEBUG   : HFS.supported: supported: False ;
> 12:57:06 DEBUG   : HFSPlus.supported: supported: False ;
> 12:57:06 DEBUG   : HFSPlus.supported: supported: False ;
> 12:57:06 DEBUG   : Iso9660FS.supported: supported: True ;
> 12:57:06 DEBUG   : Iso9660FS.supported: supported: True ;
> 12:57:06 DEBUG   : LUKS.__init__:
> 12:57:06 DEBUG   : LVMPhysicalVolume.__init__:
> 12:57:06 DEBUG   : MDRaidMember.__init__:
> 12:57:06 DEBUG   : NFS.supported: supported: False ;
> 12:57:06 DEBUG   : NFS.supported: supported: False ;
> 12:57:06 DEBUG   : NFSv4.supported: supported: False ;
> 12:57:06 DEBUG   : NFSv4.supported: supported: False ;
> 12:57:06 DEBUG   : NoDevFS.supported: supported: False ;
> 12:57:06 DEBUG   : NoDevFS.supported: supported: False ;
> 12:57:06 DEBUG   : NTFS.supported: supported: False ;
> 12:57:06 DEBUG   : NTFS.supported: supported: False ;
> 12:57:06 DEBUG   : ProcFS.supported: supported: False ;
> 12:57:06 DEBUG   : ProcFS.supported: supported: False ;
> 12:57:06 DEBUG   : SwapSpace.__init__:
> 12:57:06 DEBUG   : SysFS.supported: supported: False ;
> 12:57:06 DEBUG   : SysFS.supported: supported: False ;
> 12:57:06 DEBUG   : TmpFS.supported: supported: False ;
> 12:57:06 DEBUG   : TmpFS.supported: supported: False ;
> 12:57:06 DEBUG   : FATFS.supported: supported: True ;
> 12:57:06 DEBUG   : FATFS.supported: supported: True ;
> 12:57:06 DEBUG   : XFS.supported: supported: True ;
> 12:57:06 DEBUG   : XFS.supported: supported: True ;
> 12:57:06 DEBUG   : Ext4FS.supported: supported: True ;
> 12:57:20 DEBUG   : Ext4FS.supported: supported: True ;
> 12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ;
> 12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ; current: None ; type:
> ext4 ;
> 12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ;
> 12:57:20 DEBUG   : PartitionDevice._setFormat: req1 ; current: ext4 ; type:
> ext4 ;
> 12:57:20 DEBUG   : refresh: justRedraw=False
> 12:57:20 DEBUG   : DiskDevice.setup: sda ; status: True ;
> 
> 
> /tmp/program.log:
> Running... ['udevadm', 'trigger', '--subsystem-match=block']
> Running... ['udevadm', 'settle', '--timeout=30']
> Running... ['ntfsinfo', '-m', '/dev/sda1']
> Volume Information 
>  Name of device: /dev/sda1
>  Device state: 11
>  Volume Name: TOSHIBA SYSTEM VOLUME
>  Volume State: 1
>  Volume Version: 3.1
>  Sector Size: 512
>  Cluster Size: 4096
>  Volume Size in Clusters: 383999
> MFT Information 
>  MFT Record Size: 1024
>  MFT Zone Multiplier: 1
>  MFT Data Position: 24
>  MFT Zone Start: 128000
>  MFT Zone End: 175999
>  MFT Zone Position: 128000
>  Current Position in First Data Zone: 175999
>  Current Position in Second Data Zone: 0
>  LCN of Data Attribute for FILE_MFT: 128000
>  FILE_MFTMirr Size: 4
>  LCN of Data Attribute for File_MFTMirr: 191999
>  Size of Attribute Definition Table: 2560
> FILE_Bitmap Information 
>  FILE_Bitmap MFT Record Number: 6
>  State of FILE_Bitmap Inode: 0
>  Length of Attribute List: 0
>  Attribute List: (null)
>  Number of Attached Extent Inodes: 0
> FILE_Bitmap Data Attribute Information
>  Decompressed Runlist: not done yet
>  Base Inode: 6
>  Attribute Types: not done yet
>  Attribute Name Length: 0
>  Attribute State: 3
>  Attribute Allocated Size: 49152
>  Attribute Data Size: 48000
>  Attribute Initialized Size: 48000
>  Attribute Compressed Size: 0
>  Compression Block Size: 0
>  Compression Block Size Bits: 0
>  Compression Block Clusters: 0
> Running... ['ntfsresize', '-m', '/dev/sda1']
> ntfsresize v2.0.0 (libntfs 10:0:0)
> Minsize (in MB): 525
> Running... ['ntfsinfo', '-m', '/dev/sda2']
> Volume Information 
>  Name of device: /dev/sda2
>  Device state: 11
>  Volume Name: SQ004587V02
>  Volume State: 1
>  Volume Version: 3.1
>  Sector Size: 512
>  Cluster Size: 4096
>  Volume Size in Clusters: 15728639
> MFT Information 
>  MFT Record Size: 1024
>  MFT Zone Multiplier: 1
>  MFT Data Position: 24
>  MFT Zone Start: 786432
>  MFT Zone End: 2752511
>  MFT Zone Position: 786432
>  Current Position in First Data Zone: 2752511
>  Current Position in Second Data Zone: 0
>  LCN of Data Attribute for FILE_MFT: 786432
>  FILE_MFTMirr Size: 4
>  LCN of Data Attribute for File_MFTMirr: 7864319
>  Size of Attribute Definition Table: 2560
> FILE_Bitmap Information 
>  FILE_Bitmap MFT Record Number: 6
>  State of FILE_Bitmap Inode: 0
>  Length of Attribute List: 0
>  Attribute List: (null)
>  Number of Attached Extent Inodes: 0
> FILE_Bitmap Data Attribute Information
>  Decompressed Runlist: not done yet
>  Base Inode: 6
>  Attribute Types: not done yet
>  Attribute Name Length: 0
>  Attribute State: 3
>  Attribute Allocated Size: 1966080
>  Attribute Data Size: 1966080
>  Attribute Initialized Size: 1966080
>  Attribute Compressed Size: 0
>  Compression Block Size: 0
>  Compression Block Size Bits: 0
>  Compression Block Clusters: 0
> Running... ['ntfsresize', '-m', '/dev/sda2']
> ntfsresize v2.0.0 (libntfs 10:0:0)
> Minsize (in MB): 28837
> Running... ['dumpe2fs', '-h', '/dev/sda3']
> Filesystem volume name:   <none>
> Last mounted on:          <not available>
> Filesystem UUID:          791ea49b-0c43-4375-b6af-918e6acda95c
> Filesystem magic number:  0xEF53
> Filesystem revision #:    1 (dynamic)
> Filesystem features:      has_journal ext_attr resize_inode dir_index filetype
> sparse_super large_file
> Filesystem flags:         signed_directory_hash 
> Default mount options:    (none)
> Filesystem state:         clean
> Errors behavior:          Continue
> Filesystem OS type:       Linux
> Inode count:              3932160
> Block count:              15727635
> Reserved block count:     786381
> Free blocks:              14862971
> Free inodes:              3817233
> First block:              0
> Block size:               4096
> Fragment size:            4096
> Reserved GDT blocks:      1020
> Blocks per group:         32768
> Fragments per group:      32768
> Inodes per group:         8192
> Inode blocks per group:   512
> Filesystem created:       Mon Jun 15 09:57:16 2009
> Last mount time:          Mon Jun 15 18:47:15 2009
> Last write time:          Mon Jun 15 18:48:03 2009
> Mount count:              3
> Maximum mount count:      29
> Last checked:             Mon Jun 15 09:57:16 2009
> Check interval:           15552000 (6 months)
> Next check after:         Sat Dec 12 08:57:16 2009
> Reserved blocks uid:      0 (user root)
> Reserved blocks gid:      0 (group root)
> First inode:              11
> Inode size:           256
> Required extra isize:     28
> Desired extra isize:      28
> Journal inode:            8
> Default directory hash:   half_md4
> Directory Hash Seed:      3d7a9ac1-b129-4f55-b857-bcd18a9ffda2
> Journal backup:           inode blocks
> Journal size:             128M
> 
> dumpe2fs 1.41.4 (27-Jan-2009)
> Running... ['resize2fs', '-P', '/dev/sda3']
> Estimated minimum size of the filesystem: 620535
> resize2fs 1.41.4 (27-Jan-2009)
> Running... ['udevadm', 'settle', '--timeout=30']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['udevadm', 'settle', '--timeout=10']
> Running... ['/usr/sbin/hwclock', '--hctosys', '-u']
> Running... ['modprobe', 'ext2']
> WARNING: Deprecated config file /etc/modprobe.conf, all config files belong
> into /etc/modprobe.d/.
> Running... ['modprobe', 'xfs']
> WARNING: Deprecated config file /etc/modprobe.conf, all config files belong
> into /etc/modprobe.d/.
> 
> 
> /tmp/storage.log:
> [2009-06-15 17:55:08,895]    DEBUG: registered device format class LUKS as luks
> [2009-06-15 17:55:08,897]    DEBUG: registered device format class DMRaidMember
> as dmraidmember
> [2009-06-15 17:55:08,898]    DEBUG: registered device format class SwapSpace as
> swap
> [2009-06-15 17:55:08,900]    DEBUG: registered device format class PPCPRePBoot
> as prepboot
> [2009-06-15 17:55:08,903]    DEBUG: registered device format class Ext2FS as
> ext2
> [2009-06-15 17:55:08,904]    DEBUG: registered device format class Ext3FS as
> ext3
> [2009-06-15 17:55:08,904]    DEBUG: registered device format class Ext4FS as
> ext4
> [2009-06-15 17:55:08,905]    DEBUG: registered device format class FATFS as
> vfat
> [2009-06-15 17:55:08,905]    DEBUG: registered device format class EFIFS as efi
> [2009-06-15 17:55:08,906]    DEBUG: registered device format class BTRFS as
> btrfs
> [2009-06-15 17:55:08,906]    DEBUG: registered device format class GFS2 as gfs2
> [2009-06-15 17:55:08,907]    DEBUG: registered device format class JFS as jfs
> [2009-06-15 17:55:08,907]    DEBUG: registered device format class XFS as xfs
> [2009-06-15 17:55:08,908]    DEBUG: registered device format class HFS as hfs
> [2009-06-15 17:55:08,908]    DEBUG: registered device format class
> AppleBootstrapFS as appleboot
> [2009-06-15 17:55:08,909]    DEBUG: registered device format class HFSPlus as
> hfs+
> [2009-06-15 17:55:08,909]    DEBUG: registered device format class NTFS as ntfs
> [2009-06-15 17:55:08,910]    DEBUG: registered device format class NFS as nfs
> [2009-06-15 17:55:08,910]    DEBUG: registered device format class NFSv4 as
> nfs4
> [2009-06-15 17:55:08,911]    DEBUG: registered device format class Iso9660FS as
> iso9660
> [2009-06-15 17:55:08,911]    DEBUG: registered device format class NoDevFS as
> nodev
> [2009-06-15 17:55:08,911]    DEBUG: registered device format class DevPtsFS as
> devpts
> [2009-06-15 17:55:08,911]    DEBUG: registered device format class ProcFS as
> proc
> [2009-06-15 17:55:08,912]    DEBUG: registered device format class SysFS as
> sysfs
> [2009-06-15 17:55:08,912]    DEBUG: registered device format class TmpFS as
> tmpfs
> [2009-06-15 17:55:08,912]    DEBUG: registered device format class BindFS as
> bind
> [2009-06-15 17:55:08,913]    DEBUG: registered device format class MDRaidMember
> as mdmember
> [2009-06-15 17:55:08,913]    DEBUG: registered device format class
> LVMPhysicalVolume as lvmpv
> [2009-06-15 17:56:10,313]     INFO: sr0 looks to be the live device; ignoring
> [2009-06-15 17:56:10,318]     INFO: devices to scan: ['sda', 'sda1', 'sda2',
> 'sda3', 'sda4', 'dm-0', 'dm-1']
> [2009-06-15 17:56:10,712]    DEBUG: scanning sda
> (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda)...
> [2009-06-15 17:56:10,712]    DEBUG: looking for device 'sda'...
> [2009-06-15 17:56:10,713]    DEBUG: found None
> [2009-06-15 17:56:10,716]    DEBUG: sda is a disk
> [2009-06-15 17:56:10,717]    DEBUG: getFormat('None') returning DeviceFormat
> instance
> [2009-06-15 17:56:10,726]    DEBUG: looking up parted Device: /dev/sda
> [2009-06-15 17:56:10,726]    DEBUG: looking up parted Device: /dev/sda
> [2009-06-15 17:56:10,734]    DEBUG: creating parted Disk: /dev/sda
> [2009-06-15 17:56:11,490]    DEBUG: added sda (disk) to device tree
> [2009-06-15 17:56:11,494]    DEBUG: {'DKD_PARTITION_TABLE': '1', 'ID_REVISION':
> '0040', 'ID_VENDOR_ENC': 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT':
> 'FUJITSU_MHY2250BH_K42AT8126SGY', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0',
> 'ID_VENDOR': 'ATA', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY',
> 'DKD_PARTITION_TABLE_SCHEME': 'mbr', 'DEVTYPE': 'disk', 'ID_BUS': 'scsi',
> 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path':
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda',
> 'ID_TYPE': 'disk', 'MINOR': '0', 'symlinks': ['block/8:0',
> 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY',
> 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY',
> 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0'], 'ID_SERIAL_SHORT':
> 'K42AT8126SGY', 'name': 'sda', 'DKD_ATA_SMART_IS_AVAILABLE': '1', 'ANACBIN':
> '/sbin', 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B', 'DKD_MEDIA_AVAILABLE': '1'}
> [2009-06-15 17:56:11,494]    DEBUG: no type or existing type for sda, bailing
> [2009-06-15 17:56:11,497]    DEBUG: scanning sda1
> (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1)...
> [2009-06-15 17:56:11,498]    DEBUG: looking for device 'sda1'...
> [2009-06-15 17:56:11,498]    DEBUG: found None
> [2009-06-15 17:56:11,499]    DEBUG: sda1 is a partition
> [2009-06-15 17:56:11,502]    DEBUG: looking for device 'sda'...
> [2009-06-15 17:56:11,503]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
>   description =   name = sda  status = True  parents = []
>   kids = 0
>   id = 0
>   uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c> 
> size = 238472.687988
>   major = 8  minor = 0  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label =
> None
>   target size = 0  path = /dev/sda
>   format args = []  removable = False  partedDevice = <parted.device.Device
> object at 0xa8605ac>
>   partedDisk = <parted.disk.Disk object at 0xa86060c>
> [2009-06-15 17:56:11,511]    DEBUG: getFormat('None') returning DeviceFormat
> instance
> [2009-06-15 17:56:11,513]    DEBUG: looking up parted Partition: /dev/sda1
> [2009-06-15 17:56:11,516]    DEBUG: looking up parted Device: /dev/sda1
> [2009-06-15 17:56:11,527]    DEBUG: added sda1 (partition) to device tree
> [2009-06-15 17:56:11,529]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC':
> 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT':
> 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '1572864000',
> 'ID_FS_VERSION': '3.1', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0',
> 'DKD_PARTITION_NUMBER': '1', 'ID_VENDOR': 'ATA', 'ID_FS_LABEL_ENC':
> 'TOSHIBA\\x20SYSTEM\\x20VOLUME', 'ID_SERIAL':
> 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '1',
> 'DEVTYPE': 'partition', 'ID_FS_UUID': 'CEF0F7E7F0F7D3A5', 'ID_FS_UUID_ENC':
> 'CEF0F7E7F0F7D3A5', 'ID_FS_TYPE': 'ntfs', 'DKD_PARTITION_TYPE': '0x27',
> 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path':
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1',
> 'ID_FS_LABEL': 'TOSHIBA_SYSTEM_VOLUME', 'ID_FS_USAGE': 'filesystem', 'ID_TYPE':
> 'disk', 'DKD_PARTITION_SCHEME': 'mbr', 'ID_BUS': 'scsi', 'symlinks':
> ['block/8:1', 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part1',
> 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part1',
> 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part1',
> 'disk/by-uuid/CEF0F7E7F0F7D3A5',
> 'disk/by-label/TOSHIBA\\x20SYSTEM\\x20VOLUME'], 'ID_SERIAL_SHORT':
> 'K42AT8126SGY', 'name': 'sda1', 'ANACBIN': '/sbin', 'ID_MODEL_ENC':
> 'FUJITSU\\x20MHY2250B'}
> [2009-06-15 17:56:11,529]    DEBUG: type detected on 'sda1' is 'ntfs'
> [2009-06-15 17:56:12,191]    DEBUG: getFormat('ntfs') returning NTFS instance
> [2009-06-15 17:56:12,202]    DEBUG: scanning sda2
> (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2)...
> [2009-06-15 17:56:12,202]    DEBUG: looking for device 'sda2'...
> [2009-06-15 17:56:12,203]    DEBUG: found None
> [2009-06-15 17:56:12,203]    DEBUG: sda2 is a partition
> [2009-06-15 17:56:12,206]    DEBUG: looking for device 'sda'...
> [2009-06-15 17:56:12,208]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
>   description =   name = sda  status = True  parents = []
>   kids = 1
>   id = 0
>   uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c> 
> size = 238472.687988
>   major = 8  minor = 0  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label =
> None
>   target size = 0  path = /dev/sda
>   format args = []  removable = False  partedDevice = <parted.device.Device
> object at 0xa8605ac>
>   partedDisk = <parted.disk.Disk object at 0xa86060c>
> [2009-06-15 17:56:12,216]    DEBUG: getFormat('None') returning DeviceFormat
> instance
> [2009-06-15 17:56:12,220]    DEBUG: looking up parted Partition: /dev/sda2
> [2009-06-15 17:56:12,224]    DEBUG: looking up parted Device: /dev/sda2
> [2009-06-15 17:56:12,238]    DEBUG: added sda2 (partition) to device tree
> [2009-06-15 17:56:12,240]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC':
> 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT':
> 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '64424509440',
> 'ID_FS_VERSION': '3.1', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0',
> 'DKD_PARTITION_NUMBER': '2', 'ID_VENDOR': 'ATA', 'ID_FS_LABEL_ENC':
> 'SQ004587V02', 'ID_SERIAL': 'SATA_FUJITSU_MHY2250_K42AT8126SGY',
> 'DKD_PARTITION': '1', 'MINOR': '2', 'DEVTYPE': 'partition', 'ID_FS_UUID':
> '62C4FF5CC4FF30C1', 'DKD_PARTITION_FLAGS': 'boot', 'ID_FS_UUID_ENC':
> '62C4FF5CC4FF30C1', 'ID_FS_TYPE': 'ntfs', 'DKD_PARTITION_TYPE': '0x07',
> 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8', 'sysfs_path':
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2',
> 'ID_FS_LABEL': 'SQ004587V02', 'ID_FS_USAGE': 'filesystem', 'ID_TYPE': 'disk',
> 'DKD_PARTITION_SCHEME': 'mbr', 'ID_BUS': 'scsi', 'symlinks': ['block/8:2',
> 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part2',
> 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part2',
> 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part2',
> 'disk/by-uuid/62C4FF5CC4FF30C1', 'disk/by-label/SQ004587V02'],
> 'ID_SERIAL_SHORT': 'K42AT8126SGY', 'name': 'sda2', 'ANACBIN': '/sbin',
> 'ID_MODEL_ENC': 'FUJITSU\\x20MHY2250B'}
> [2009-06-15 17:56:12,241]    DEBUG: type detected on 'sda2' is 'ntfs'
> [2009-06-15 17:56:16,394]    DEBUG: getFormat('ntfs') returning NTFS instance
> [2009-06-15 17:56:16,399]    DEBUG: scanning sda3
> (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3)...
> [2009-06-15 17:56:16,399]    DEBUG: looking for device 'sda3'...
> [2009-06-15 17:56:16,399]    DEBUG: found None
> [2009-06-15 17:56:16,400]    DEBUG: sda3 is a partition
> [2009-06-15 17:56:16,402]    DEBUG: looking for device 'sda'...
> [2009-06-15 17:56:16,402]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
>   description =   name = sda  status = True  parents = []
>   kids = 2
>   id = 0
>   uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c> 
> size = 238472.687988
>   major = 8  minor = 0  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label =
> None
>   target size = 0  path = /dev/sda
>   format args = []  removable = False  partedDevice = <parted.device.Device
> object at 0xa8605ac>
>   partedDisk = <parted.disk.Disk object at 0xa86060c>
> [2009-06-15 17:56:16,407]    DEBUG: getFormat('None') returning DeviceFormat
> instance
> [2009-06-15 17:56:16,409]    DEBUG: looking up parted Partition: /dev/sda3
> [2009-06-15 17:56:16,411]    DEBUG: looking up parted Device: /dev/sda3
> [2009-06-15 17:56:16,420]    DEBUG: added sda3 (partition) to device tree
> [2009-06-15 17:56:16,422]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC':
> 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT':
> 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '64420392960',
> 'ID_FS_VERSION': '1.0', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0',
> 'ID_VENDOR': 'ATA', 'DKD_PARTITION_NUMBER': '3', 'ID_SERIAL':
> 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '3',
> 'DEVTYPE': 'partition', 'ID_FS_UUID': '791ea49b-0c43-4375-b6af-918e6acda95c',
> 'ID_FS_UUID_ENC': '791ea49b-0c43-4375-b6af-918e6acda95c', 'ID_FS_TYPE': 'ext3',
> 'DKD_PARTITION_TYPE': '0x83', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8',
> 'sysfs_path':
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3',
> 'ID_FS_USAGE': 'filesystem', 'ID_TYPE': 'disk', 'DKD_PARTITION_SCHEME': 'mbr',
> 'ID_BUS': 'scsi', 'symlinks': ['block/8:3',
> 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part3',
> 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part3',
> 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part3',
> 'disk/by-uuid/791ea49b-0c43-4375-b6af-918e6acda95c'], 'ID_SERIAL_SHORT':
> 'K42AT8126SGY', 'name': 'sda3', 'ANACBIN': '/sbin', 'ID_MODEL_ENC':
> 'FUJITSU\\x20MHY2250B'}
> [2009-06-15 17:56:16,423]    DEBUG: type detected on 'sda3' is 'ext3'
> [2009-06-15 17:56:16,529]    DEBUG: getFormat('ext3') returning Ext3FS instance
> [2009-06-15 17:56:16,539]    DEBUG: scanning sda4
> (/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4)...
> [2009-06-15 17:56:16,540]    DEBUG: looking for device 'sda4'...
> [2009-06-15 17:56:16,540]    DEBUG: found None
> [2009-06-15 17:56:16,541]    DEBUG: sda4 is a partition
> [2009-06-15 17:56:16,544]    DEBUG: looking for device 'sda'...
> [2009-06-15 17:56:16,545]    DEBUG: found DiskDevice instance (0xa5a4d8c) --
>   description =   name = sda  status = True  parents = []
>   kids = 3
>   id = 0
>   uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c> 
> size = 238472.687988
>   major = 8  minor = 0  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label =
> None
>   target size = 0  path = /dev/sda
>   format args = []  removable = False  partedDevice = <parted.device.Device
> object at 0xa8605ac>
>   partedDisk = <parted.disk.Disk object at 0xa86060c>
> [2009-06-15 17:56:16,552]    DEBUG: getFormat('None') returning DeviceFormat
> instance
> [2009-06-15 17:56:16,555]    DEBUG: looking up parted Partition: /dev/sda4
> [2009-06-15 17:56:16,557]    DEBUG: looking up parted Device: /dev/sda4
> [2009-06-15 17:56:16,566]    DEBUG: added sda4 (partition) to device tree
> [2009-06-15 17:56:16,568]    DEBUG: {'ID_REVISION': '0040', 'ID_VENDOR_ENC':
> 'ATA\\x20\\x20\\x20\\x20\\x20', 'ID_ATA_COMPAT':
> 'FUJITSU_MHY2250BH_K42AT8126SGY', 'DKD_PARTITION_SIZE': '1571028480',
> 'ID_FS_VERSION': '2', 'ID_PATH': 'pci-0000:00:1f.2-scsi-0:0:0:0', 'ID_VENDOR':
> 'ATA', 'DKD_PARTITION_NUMBER': '4', 'ID_SERIAL':
> 'SATA_FUJITSU_MHY2250_K42AT8126SGY', 'DKD_PARTITION': '1', 'MINOR': '4',
> 'DEVTYPE': 'partition', 'ID_FS_UUID': '3c9af495-0d96-4433-a697-dc79f22f6ea2',
> 'ID_FS_UUID_ENC': '3c9af495-0d96-4433-a697-dc79f22f6ea2', 'ID_FS_TYPE': 'swap',
> 'DKD_PARTITION_TYPE': '0x82', 'ID_MODEL': 'FUJITSU_MHY2250B', 'MAJOR': '8',
> 'sysfs_path':
> '/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4',
> 'ID_FS_USAGE': 'other', 'ID_TYPE': 'disk', 'DKD_PARTITION_SCHEME': 'mbr',
> 'ID_BUS': 'scsi', 'symlinks': ['block/8:4',
> 'disk/by-id/scsi-SATA_FUJITSU_MHY2250_K42AT8126SGY-part4',
> 'disk/by-id/ata-FUJITSU_MHY2250BH_K42AT8126SGY-part4',
> 'disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part4',
> 'disk/by-uuid/3c9af495-0d96-4433-a697-dc79f22f6ea2'], 'ID_SERIAL_SHORT':
> 'K42AT8126SGY', 'name': 'sda4', 'ANACBIN': '/sbin', 'ID_MODEL_ENC':
> 'FUJITSU\\x20MHY2250B'}
> [2009-06-15 17:56:16,568]    DEBUG: type detected on 'sda4' is 'swap'
> [2009-06-15 17:56:16,572]    DEBUG: getFormat('swap') returning SwapSpace
> instance
> [2009-06-15 17:56:16,577]    DEBUG: scanning live-rw
> (/devices/virtual/block/dm-0)...
> [2009-06-15 17:56:16,577]    DEBUG: looking for device 'live-rw'...
> [2009-06-15 17:56:16,578]    DEBUG: found None
> [2009-06-15 17:56:16,578]    DEBUG: live-rw is a device-mapper device
> [2009-06-15 17:56:16,580]    DEBUG: looking for device 'loop3'...
> [2009-06-15 17:56:16,580]    DEBUG: found None
> [2009-06-15 17:56:16,582]    DEBUG: ignoring loop3
> (/devices/virtual/block/loop3)
> [2009-06-15 17:56:16,583]    DEBUG: looking for device 'loop3'...
> [2009-06-15 17:56:16,583]    DEBUG: found None
> [2009-06-15 17:56:16,583]    ERROR: failure scanning device live-rw: could not
> add slave loop3
> [2009-06-15 17:56:16,585]    DEBUG: {'ID_FS_VERSION': '1.0',
> 'DKD_DM_TARGET_COUNT': '1', 'DM_OPEN': '1', 'DM_MINOR': '0', 'DM_NAME':
> 'live-rw', 'ID_FS_LABEL_ENC': 'Fedora-11-i686-L', 'ANACBIN': '/sbin',
> 'DKD_DM_TARGET_TYPES': 'snapshot', 'DKD_DM_LAST_EVENT_NR': '0', 'DEVTYPE':
> 'disk', 'DM_SUSPENDED': 'Active', 'DKD_DM_NAME': 'live-rw', 'DKD_DM_MAJOR':
> '253', 'ID_FS_UUID': 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_UUID_ENC':
> 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_TYPE': 'ext4', 'DM_MAJOR':
> '253', 'DKD_DM_OPENCOUNT': '1', 'sysfs_path': '/devices/virtual/block/dm-0',
> 'ID_FS_LABEL': 'Fedora-11-i686-L', 'ID_FS_USAGE': 'filesystem', 'DM_READONLY':
> 'Writeable', 'DKD_DM_TABLE_STATE': 'LIVE', 'MINOR': '0', 'symlinks':
> ['block/253:0', 'disk/by-id/dm-name-live-rw',
> 'disk/by-uuid/d8394cd3-060a-42c8-8585-aebb23927bcb',
> 'disk/by-label/Fedora-11-i686-L'], 'DM_TABLES_LOADED': 'Live', 'MAJOR': '253',
> 'name': 'dm-0', 'DKD_DM_MINOR': '0', 'DKD_DM_STATE': 'ACTIVE',
> 'DKD_MEDIA_AVAILABLE': '1'}
> [2009-06-15 17:56:16,585]    DEBUG: no type or existing type for live-rw,
> bailing
> [2009-06-15 17:56:16,587]    DEBUG: scanning live-osimg-min
> (/devices/virtual/block/dm-1)...
> [2009-06-15 17:56:16,587]    DEBUG: looking for device 'live-osimg-min'...
> [2009-06-15 17:56:16,587]    DEBUG: found None
> [2009-06-15 17:56:16,587]    DEBUG: live-osimg-min is a device-mapper device
> [2009-06-15 17:56:16,589]    DEBUG: looking for device 'loop3'...
> [2009-06-15 17:56:16,590]    DEBUG: found None
> [2009-06-15 17:56:16,592]    DEBUG: ignoring loop3
> (/devices/virtual/block/loop3)
> [2009-06-15 17:56:16,592]    DEBUG: looking for device 'loop3'...
> [2009-06-15 17:56:16,592]    DEBUG: found None
> [2009-06-15 17:56:16,593]    ERROR: failure scanning device live-osimg-min:
> could not add slave loop3
> [2009-06-15 17:56:16,594]    DEBUG: {'ID_FS_VERSION': '1.0',
> 'DKD_DM_TARGET_COUNT': '1', 'DM_OPEN': '0', 'DM_MINOR': '1', 'DM_NAME':
> 'live-osimg-min', 'ID_FS_LABEL_ENC': 'Fedora-11-i686-L', 'ANACBIN': '/sbin',
> 'DKD_DM_TARGET_TYPES': 'snapshot', 'DKD_DM_LAST_EVENT_NR': '0', 'DEVTYPE':
> 'disk', 'DM_SUSPENDED': 'Active', 'DKD_DM_NAME': 'live-osimg-min',
> 'DKD_DM_MAJOR': '253', 'ID_FS_UUID': 'd8394cd3-060a-42c8-8585-aebb23927bcb',
> 'ID_FS_UUID_ENC': 'd8394cd3-060a-42c8-8585-aebb23927bcb', 'ID_FS_TYPE': 'ext4',
> 'DM_MAJOR': '253', 'DKD_DM_OPENCOUNT': '0', 'sysfs_path':
> '/devices/virtual/block/dm-1', 'ID_FS_LABEL': 'Fedora-11-i686-L',
> 'ID_FS_USAGE': 'filesystem', 'DM_READONLY': 'Read-only', 'DKD_DM_TABLE_STATE':
> 'LIVE', 'MINOR': '1', 'symlinks': ['block/253:1',
> 'disk/by-id/dm-name-live-osimg-min',
> 'disk/by-uuid/d8394cd3-060a-42c8-8585-aebb23927bcb',
> 'disk/by-label/Fedora-11-i686-L'], 'DM_TABLES_LOADED': 'Live', 'MAJOR': '253',
> 'name': 'dm-1', 'DKD_DM_MINOR': '1', 'DKD_DM_STATE': 'READONLY',
> 'DKD_MEDIA_AVAILABLE': '1'}
> [2009-06-15 17:56:16,595]    DEBUG: no type or existing type for
> live-osimg-min, bailing
> [2009-06-15 17:56:16,669]     INFO: sr0 looks to be the live device; ignoring
> [2009-06-15 17:56:16,898]     INFO: failed to unlink /etc/mdadm.conf
> [2009-06-15 12:56:53,114]    DEBUG: looking for device 'sda-1'...
> [2009-06-15 12:56:53,115]    DEBUG: found None
> [2009-06-15 12:56:53,115]    DEBUG: looking for device 'sda1'...
> [2009-06-15 12:56:53,115]    DEBUG: found PartitionDevice instance (0xa8608ec)
> --
>   description =   name = sda1  status = True  parents =
> [<storage.devices.DiskDevice object at 0xa5a4d8c>]
>   kids = 0
>   id = 1
>   uuid = None  format = <storage.formats.fs.NTFS object at 0xa860ccc>  size =
> 1500.0
>   major = 8  minor = 1  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda1 
> label = None
>   target size = 1500.0  path = /dev/sda1
>   format args = []  grow = None  max size = 0  bootable = None
>   part type = 0  primary = None
>   partedPartition = <parted.partition.Partition object at 0xa86094c>  disk =
> <storage.devices.DiskDevice object at 0xa5a4d8c>
> [2009-06-15 12:56:53,120]    DEBUG: looking for device 'sda2'...
> [2009-06-15 12:56:53,120]    DEBUG: found PartitionDevice instance (0xa860ecc)
> --
>   description =   name = sda2  status = True  parents =
> [<storage.devices.DiskDevice object at 0xa5a4d8c>]
>   kids = 0
>   id = 2
>   uuid = None  format = <storage.formats.fs.NTFS object at 0xa860fcc>  size =
> 61440.0
>   major = 8  minor = 2  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda2 
> label = None
>   target size = 61440.0  path = /dev/sda2
>   format args = []  grow = None  max size = 0  bootable = True
>   part type = 0  primary = None
>   partedPartition = <parted.partition.Partition object at 0xa86096c>  disk =
> <storage.devices.DiskDevice object at 0xa5a4d8c>
> [2009-06-15 12:56:53,121]    DEBUG: looking for device 'sda-1'...
> [2009-06-15 12:56:53,121]    DEBUG: found None
> [2009-06-15 12:56:53,123]    DEBUG: looking for device 'sda3'...
> [2009-06-15 12:56:53,123]    DEBUG: found PartitionDevice instance (0xa8af10c)
> --
>   description =   name = sda3  status = True  parents =
> [<storage.devices.DiskDevice object at 0xa5a4d8c>]
>   kids = 0
>   id = 3
>   uuid = None  format = <storage.formats.fs.Ext3FS object at 0xa8608ac>  size =
> 61436.0742188
>   major = 8  minor = 3  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda3 
> label = None
>   target size = 0  path = /dev/sda3
>   format args = []  grow = None  max size = 0  bootable = None
>   part type = 0  primary = None
>   partedPartition = <parted.partition.Partition object at 0xa860bac>  disk =
> <storage.devices.DiskDevice object at 0xa5a4d8c>
> [2009-06-15 12:56:53,124]    DEBUG: looking for device 'sda4'...
> [2009-06-15 12:56:53,125]    DEBUG: found PartitionDevice instance (0xa8af0ec)
> --
>   description =   name = sda4  status = True  parents =
> [<storage.devices.DiskDevice object at 0xa5a4d8c>]
>   kids = 0
>   id = 4
>   uuid = None  format = <storage.formats.swap.SwapSpace object at 0xa8af06c> 
> size = 1498.24951172
>   major = 8  minor = 4  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/sda4 
> label = None
>   target size = 0  path = /dev/sda4
>   format args = []  grow = None  max size = 0  bootable = None
>   part type = 0  primary = None
>   partedPartition = <parted.partition.Partition object at 0xa860aac>  disk =
> <storage.devices.DiskDevice object at 0xa5a4d8c>
> [2009-06-15 12:56:53,126]    DEBUG: looking for device 'sda-1'...
> [2009-06-15 12:56:53,126]    DEBUG: found None
> [2009-06-15 12:57:04,425]    DEBUG: getFormat('ext4') returning Ext4FS instance
> [2009-06-15 12:57:20,168]    DEBUG: added req1 (partition) to device tree
> [2009-06-15 12:57:20,168]    DEBUG: registered action: Create Device req1
> (partition)
> [2009-06-15 12:57:20,169]    DEBUG: registered action: Create Format ext4 on
> req1 (partition)
> [2009-06-15 12:57:20,174]    DEBUG: allocatePartitions:
> disks=[<storage.devices.DiskDevice object at 0xa5a4d8c>] ;
> partitions=[<storage.devices.PartitionDevice object at 0x9e9c22c>]
> [2009-06-15 12:57:20,174]    DEBUG: removing all non-preexisting from disk(s)
> [2009-06-15 12:57:20,175]    DEBUG: allocating partition: req1 ; disks:
> [<storage.devices.DiskDevice object at 0xa5a4d8c>] ; boot: True ; primary: True
> ; size: 61440MB ; grow: None ; max_size: 0
> [2009-06-15 12:57:20,175]    DEBUG: checking freespace on sda
> [2009-06-15 12:57:20,175]    DEBUG: getBestFreeSpaceRegion: disk=/dev/sda
> part_type=0 req_size=61440MB boot=True best=None
> [2009-06-15 12:57:20,176]    DEBUG: current free range is 63-2047 (0MB)
> [2009-06-15 12:57:20,176]    DEBUG: current free range is 128903168-128905559
> (1MB)
> [2009-06-15 12:57:20,176]    DEBUG: current free range is 257795055-488392064
> (112596MB)
> [2009-06-15 12:57:20,177]    DEBUG: updating use_disk to DiskDevice instance
> (0xa5a4d8c) --
>   description =   name = sda  status = True  parents = []
>   kids = 4
>   id = 0
>   uuid = None  format = <storage.formats.DeviceFormat object at 0xa86038c> 
> size = 238472.687988
>   major = 8  minor = 0  exists = True
>   sysfs path =
> /devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda  label =
> None
>   target size = 0  path = /dev/sda
>   format args = []  removable = False  partedDevice = <parted.device.Device
> object at 0xa8605ac>
>   partedDisk = <parted.disk.Disk object at 0xa86060c> (sda), type: 0
> [2009-06-15 12:57:20,177]    DEBUG: new free: parted.Geometry instance --
>   start: 257795055  end: 488392064  length: 230597010
>   device: <parted.device.Device object at 0xab0366c>  PedGeometry:
> <_ped.Geometry object at 0xab035ac> (257795055-488392064 / 112596MB)
> [2009-06-15 12:57:20,177]    DEBUG: found free space for bootable request
Comment 3 David Lehman 2009-08-14 12:32:13 EDT
You cannot create more than four primary partitions on the disk. You started out with four, so if you want to create another partition you must either not force it to be a primary partition or remove one of the existing primary partitions first.

Please start by reading the Fedora 11 Installation Guide, which can be found here:

  http://docs.fedoraproject.org/install-guide/f11/

Note You need to log in before you can comment on or make changes to this bug.